<?php
require_once( "../db.php" );

 class FavourPin extends Db {
	 
	 public $pin;
	 public $status;
	 public $serial;
	 public $examno;
	 public $date1;
	 public $close;
	
	 
	 
	  public function __construct() {

   }
	 
	
	public function findPinWithPinNumber($pin){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE pin = :pin";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->execute();
		  $num = $statement->rowCount();
		  return $num;
	    parent::DisConnect( $MySQLiconn);
		}
		
		
		public function findSerialNumber($serial){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE serial = :serial";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':serial',$serial);
		$statement->execute();
		  $num = $statement->rowCount();
		  return $num;
	    parent::DisConnect( $MySQLiconn);
		}
		
		
	
	 public function findStatusPinWithPinNumber($pin){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE pin = :pin";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->status = $row['status'];
		  $this->pin = $row['pin'];
		    $this->serial = $row['serial'];
			$this->examno = $row['examno'];
			$this->date1 = $row['date'];
			$this->close = $row['close'];
                         
	    parent::DisConnect( $MySQLiconn);
		}
		
		
		public function findStatusPinWithExamNumber($examno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE examno = :examno";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':examno',$examno);
		$statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->status = $row['status'];
		  $this->pin = $row['pin'];
		    $this->serial = $row['serial'];
			$this->examno = $row['examno'];
			$this->date1 = $row['date'];
			$this->close = $row['close'];
                         
	    parent::DisConnect( $MySQLiconn);
		}
		
		
		
		public function findStatusPinWithPinNumberCount($pin){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE pin = :pin";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->execute();
		$num = $statement->rowCount();
		  return $num;
                         
	    parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function updateStatus($pin,$status){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pinadmission set status = :status 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->bindValue(':status',$status);
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
		
		
	  public function addPin($pin,$serial,$status,$date){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into pinadmission (pin,serial,status,date) VALUES (:pin, :serial, :status, :date)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':pin',$pin);
		  $statement->bindValue(':serial',$serial);
		$statement->bindValue(':status',$status);
		$statement->bindValue(':date',$date);
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		  
		   public function findStatusPinByDate($date){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE date = :date";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':date',$date);
		$statement->execute();
		return $statement;
	    parent::DisConnect( $MySQLiconn);
		
		
		}
	
	public function updatExamCode($pin,$examno){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pinadmission set examno = :examno 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->bindValue(':examno',$examno);
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
		
		
		public function closePin($pin){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pinadmission set close = 'closed' 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
		
		
	  public function findStatusPinWithExamNumberCount($examno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pinadmission WHERE examno = :examno";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':examno',$examno);
		$statement->execute();
		$num = $statement->rowCount();
		  return $num;
                         
	    parent::DisConnect( $MySQLiconn);
		}
	


 }


 ?>