<?php
require_once( "db.php" );

 class Allsubjects extends Db {
	public $basic;
	public $tech;
	public $com;
	public $eng;
	public $hausa;
	public $art;
	public $biz;
	public $fre;
	public $agric;
	public $social;
	public $phe;
	public $home;
	public $crs;
	public $maths; 
	public $bio;
	public $econs;
	public $geo;
	public $acct;
	public $comm;
	public $food;
	public $data;
	public $gov;
	public $store;
	public $lit;
	public $phy;
	public $fmaths;
	public $civic;
	public $his;
	public $td;
	public $chem;
	public $nig;
	public $pre;
	public $fish;
	public $crk;
	public $history;
	
	
	
	  public function __construct() {

   }	
   
   
     
	 public function getTotalSubjectScoreJuniorAnnual($masterid){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = " SELECT  * FROM juniorannual WHERE masterid = :masterid  ";
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid', $masterid);
		
        $statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	
		$this->total = $row['total'];
		$this->tech = $row['BASIC_SCIENCE_AND_TECHNOLOGY'];
		$this->pre =   $row['PRE_VOCATIONAL_STUDIES'];
		$this->eng = $row['ENGLISH_STUDIES'];
		$this->crs = $row['NATIONAL_VALUES'];
		$this->art = $row['CULTURAL_AND_CREATIVE_ARTS'];
		$this->biz = $row['BUSINESS_STUDIES'];
		$this->fre = $row['FRENCH_LANGUAGE'];
		
		$this->nig = $row['NIGERIAN_LANGUAGE'];
		
		$this->maths = $row['MATHEMATICS'];
		$this->crk = $row['CRS'];
			$this->history = $row['HISTORY'];
		
		 parent::DisConnect( $MySQLiconn);
		 
	
	
		 
		} 
		
	
	 public function viewNumberOfSubjectsViaMasteridAnnual($admissionno,$year){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores WHERE admissionno = :admissionno AND year = :year';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':admissionno',$admissionno); 
		$statement->bindValue(':year',$year); 
        $statement->execute();
		
		return $statement->rowCount();
	
		
	  //  return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		    }  	
	  
    
	public function updateTotalMasterJuniorAnnual($masterid,$total,$avg,$year1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE juniorannual SET total = :total, avg = :avg, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	  
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	   
	 
	 
	  public function viewMasterJuniorTotalAnnual($year,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s.BASIC_SCIENCE_AND_TECHNOLOGY,s.PRE_VOCATIONAL_STUDIES,s.NATIONAL_VALUES,s.NIGERIAN_LANGUAGE,s.FRENCH_LANGUAGE,s.CULTURAL_AND_CREATIVE_ARTS,s.BUSINESS_STUDIES,s.HISTORY,s.CRS, w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class,s.avg FROM juniorannual  s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND  s.class = :class ORDER BY s.avg DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   } 
		   
	 
	  public function getTotalSubjectScoreJuniorTermly($masterid){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = " SELECT  * FROM masterjuniortotal WHERE masterid = :masterid  ";
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid', $masterid);
		
        $statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	
		$this->total = $row['total'];
		
		$this->tech = $row['BASIC_SCIENCE_AND_TECHNOLOGY'];
		$this->pre =   $row['PRE_VOCATIONAL_STUDIES'];
		$this->eng = $row['ENGLISH_STUDIES'];
		$this->crs = $row['NATIONAL_VALUES'];
		$this->art = $row['CULTURAL_AND_CREATIVE_ARTS'];
		$this->biz = $row['BUSINESS_STUDIES'];
		$this->fre = $row['FRENCH_LANGUAGE'];
		
		$this->nig = $row['NIGERIAN_LANGUAGE'];
		
		$this->maths = $row['MATHEMATICS'];
		$this->crk = $row['CRS'];
		$this->history = $row['HISTORY'];
		
		 parent::DisConnect( $MySQLiconn);
		 
	
		 
		} 
		
	
	
	
	public function updateTotalMasterJuniorTermly($masterid,$total,$avg,$year1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE masterjuniortotal SET total = :total, avg = :avg, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	  
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	   
	  
    
	 public function viewPositionsAndAddRemarksMasterJuniorAnnual($class,$year){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.total,s.avg, w.lname,w.fname,w.admissionno,s.masterid,s.class,s.status1, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg ORDER BY s.avg DESC )
FROM juniorannual s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year )
) AS rank from juniorannual s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  order by s.avg desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }		
		
		 
		 public function updateJuniorAnnualPosition($masterid, $position,$grade){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE juniorannual SET  position =  :position,grade = :grade  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':position',$position);
		$statement->bindValue(':grade',$grade);
	
	
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	   
  	 
	
	
	  public function AddRemarksToMasterJuniorAnnual($masterid,$hs,$status1){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE juniorannual set  hs = :hs, status1 = :status1 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
 
		 $statement->bindValue(':hs',$hs);
		
		  $statement->bindValue(':status1',$status1);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	  
	  
	  
	   public function getTotalSubjectScoreSeniorAnnual($masterid){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = " SELECT  * FROM seniorannual WHERE masterid = :masterid  ";
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid', $masterid);
		
        $statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	
		$this->total = $row['total'];
		$this->eng = $row['ENGLISH_LANGUAGE'];
		$this->maths = $row['MATHEMATICS'];
		$this->bio = $row['BIOLOGY'];
		$this->chem = $row['CHEMISTRY'];
		$this->econs = $row['ECONOMICS'];
		$this->agric = $row['AGRIC_SCIENCE'];
		$this->geo = $row['GEOGRAPHY'];
		$this->gov = $row['GOVERNMENT'];
		$this->acct = $row['ACCOUNT'];
		$this->comm = $row['COMMERCE'];
		$this->food = $row['FOOD_AND_NUTRITION'];
		$this->data = $row['COMPUTER_STUDIES'];
		$this->home = $row['HOME_MANAGEMENT'];
		$this->store = $row['MARKETING'];
		$this->lit = $row['LITERATURE_IN_ENGLISH'];
		$this->fre = $row['FRENCH_LANGUAGE'];
		$this->basic = $row['TRADE'];
		$this->phy = $row['PHYSICS'];
		$this->hausa =   $row['NIGERIAN_LANGUAGE'];
		$this->fmaths = $row['FURTHER_MATHEMATICS'];
		$this->crs = $row['CRS'];
		$this->civic = $row['CIVIC_EDUCATION'];
		$this->his  = $row['HISTORY'];
		$this->td = $row['TECHNICAL_DRAWING'];
		$this->fish = $row['FISHERIES'];
		
		
		 parent::DisConnect( $MySQLiconn);
		 
		 
		 
	
		 
		} 
		
		public function updateTotalMasterSeniorAnnual($masterid,$total,$avg,$year1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE seniorannual SET total = :total, avg = :avg, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	  
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	   
	   
	
	public function viewMasterSheetSeniorAnnual($year,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_LANGUAGE,s.PHYSICS,s.CHEMISTRY,
				s.ECONOMICS,
				s.AGRIC_SCIENCE,s.GEOGRAPHY,s.GOVERNMENT,s.ACCOUNT,s.BIOLOGY,
				s.COMMERCE,s.NIGERIAN_LANGUAGE,s.COMPUTER_STUDIES,s.CRS,s.avg, s.HOME_MANAGEMENT,s.FURTHER_MATHEMATICS,s.TRADE,s.LITERATURE_IN_ENGLISH,s.FRENCH_LANGUAGE,s.CIVIC_EDUCATION,s.MARKETING,s.FISHERIES, s.TECHNICAL_DRAWING,s.HISTORY,s.FOOD_AND_NUTRITION,s.FINE_AND_APPLIED_ARTS,w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class FROM seniorannual s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year  AND s.class = :class ORDER BY s.avg DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
	
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   } 
	   
	   
	   public function viewPositionsAndAddRemarksMasterSheetSeniorAnnual($class,$year){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.total,s.avg, w.lname,w.fname,w.admissionno,s.masterid,s.class,s.status1, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg ORDER BY s.avg DESC )
FROM seniorannual s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year )
) AS rank from seniorannual s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  order by s.avg desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }		
	  	
	
	   public function updateSeniorAnnualPosition($masterid, $position,$grade,$promoted){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE seniorannual SET  position =  :position,grade = :grade, promoted = :promoted  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':position',$position);
		$statement->bindValue(':grade',$grade);
	
		$statement->bindValue(':promoted',$promoted);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
	
public function AddRemarksToMasterSeniorAnnual($masterid,$hs,$status1){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE seniorannual set    hs = :hs, status1 = :status1 WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
 
		 $statement->bindValue(':hs',$hs);
		 $statement->bindValue(':status1',$status1);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	
	 public function getStudentForPromotion($admissionno, $year){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "SELECT  * from studentrecord WHERE year = :year AND admissionno = :admissionno ";
	   $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':admissionno',$admissionno);
	    $statement->bindValue(':year',$year);
		
		$statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		
		$this->class1 = $row['class'];
		$this->classnum = $row['classnum'];
		$this->class2 = $row['class2'];
		
		
		
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		
		}
		
		 public function updateJuniorAnnualPositionPromoted($masterid, $promoted){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE juniorannual SET   promoted = :promoted  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->bindValue(':promoted',$promoted);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
	   
	
	 public function updateSeniorAnnualPositionPromoted($masterid, $promoted){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE seniorannual SET   promoted = :promoted  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->bindValue(':promoted',$promoted);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
	
	   
      public function updateTotalMasterJuniorAuto($masterid,$total,$avg,$year1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE masterjuniortotal SET total = :total, avg = :avg, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	  
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
	
	
  
   public function getTotalSubjectScoreSeniorTermly($masterid){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = " SELECT  * FROM mastersenior WHERE masterid = :masterid  ";
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid', $masterid);
		
        $statement->execute();
		
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	
	
		$this->total = $row['total'];
		$this->eng = $row['ENGLISH_LANGUAGE'];
		$this->maths = $row['MATHEMATICS'];
		$this->bio = $row['BIOLOGY'];
		$this->chem = $row['CHEMISTRY'];
		$this->econs = $row['ECONOMICS'];
		$this->agric = $row['AGRIC_SCIENCE'];
		$this->geo = $row['GEOGRAPHY'];
		$this->gov = $row['GOVERNMENT'];
		$this->acct = $row['ACCOUNT'];
		$this->comm = $row['COMMERCE'];
		$this->food = $row['FOOD_AND_NUTRITION'];
		$this->data = $row['COMPUTER_STUDIES'];
		$this->home = $row['HOME_MANAGEMENT'];
		$this->store = $row['MARKETING'];
		$this->lit = $row['LITERATURE_IN_ENGLISH'];
		$this->fre = $row['FRENCH_LANGUAGE'];
		$this->basic = $row['TRADE'];
		$this->phy = $row['PHYSICS'];
		$this->hausa =   $row['NIGERIAN_LANGUAGE'];
		$this->fmaths = $row['FURTHER_MATHEMATICS'];
		$this->crs = $row['CRS'];
		$this->civic = $row['CIVIC_EDUCATION'];
		$this->his  = $row['HISTORY'];
		$this->td = $row['TECHNICAL_DRAWING'];
		$this->fish = $row['FISHERIES'];
		$this->art = $row['FINE_AND_APPLIED_ARTS'];
		 parent::DisConnect( $MySQLiconn);
		 
		 
		 
	
		 
		} 
			    
	   
	
	public function updateTotalMasterSeniorAuto($masterid,$total,$avg,$year1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE mastersenior SET total = :total, avg = :avg, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	  
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
	 public function viewNumberOfSubjectsViaMasterid($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores WHERE masterid = :masterid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
		return $statement->rowCount();
	
		
	  //  return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }  	
	   
	
 }
	 ?>