<?php
require_once( "db.php" );

 class Favour extends Db {
	 
	 public $pin;
	 public $status;
	 public $serial;
	 public $admissionno;
	 public $session1;
         public $term2;
	 
	 
	  public function __construct() {

   }
	 
	
	public function findPinWithPinNumber($pin){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pin WHERE pin = :pin";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->execute();
		  $num = $statement->rowCount();
		  return $num;
	    parent::DisConnect( $MySQLiconn);
		}
		
		
		public function findSerialNumber($serial){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pin WHERE serial = :serial";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':serial',$serial);
		$statement->execute();
		  $num = $statement->rowCount();
		  return $num;
	    parent::DisConnect( $MySQLiconn);
		}
		
		
	
	 public function findStatusPinWithPinNumber($pin){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pin WHERE pin = :pin";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		  
		  $this->status = $row['status'];
		  $this->pin = $row['pin'];
		    $this->serial = $row['serial'];
			$this->admissionno = $row['admissionno'];
			$this->session1 = $row['session1'];
                        $this->term2 = $row['term'];  
	    parent::DisConnect( $MySQLiconn);
		}
		
		
	public function updateStatus($pin,$status){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pin set status = :status 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->bindValue(':status',$status);
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
		
		
	  public function addPin($pin,$serial,$status,$date,$term,$session1){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into pin (pin,serial,status,date,term,session1) VALUES (:pin, :serial, :status, :date,:term,:session1)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':pin',$pin);
		  $statement->bindValue(':serial',$serial);
		$statement->bindValue(':status',$status);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':term',$term);
		$statement->bindValue(':session1',$session1);
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		  
		   public function findStatusPinByDate($date){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "select * from pin WHERE date = :date";
	    $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':date',$date);
		$statement->execute();
		return $statement;
	    parent::DisConnect( $MySQLiconn);
		
		
		}
	
	public function updateAdmissionNo($pin,$admissionno){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pin set admissionno = :admissionno 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->bindValue(':admissionno',$admissionno);
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
		
		
		
		
		public function updateTerm($pin,$term){
	 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = "update pin set term = :term 	WHERE pin = :pin  ";	
		 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pin',$pin);
		$statement->bindValue(':term',$term);
	    $statement->execute();	
		
		 parent::DisConnect( $MySQLiconn);
		}	
	
	


 }


 ?>