<?php 
require_once( "db.php" );

  class Fees extends Db {
 
     public $feeid;
     public $admissionno;	
	 public $amount;
	 public $balance;
	 public $session1;
	 public $date1;
	 public $term;
	 public $class1;
	 public $amountpaid;
	 public $session;
	 
	 
	  public function __construct() {

   }
	 
	 
	 public function AddFee($feeid,$term,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into fees (feeid,term,session1,amount,class,date)
		VALUES(:feeid,:term,:session1,:amount,:class1,:date)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  
		 
		 
		 
		 
	 public function EditFee($feeid,$term,$session1,$amount,$class1,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE fees set term = :term,session1 = :session1,amount = :amount,class = :class1,date = :date
		WHERE feeid = :feeid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 } 
		 
		 
	 public function viewAllFees($session1){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT * from fees WHERE session1 = :session1 ORDER BY date DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':session1', $session1);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
		  	
		
		

	public function deleteFees($feeid){
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   fee
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute(); 
		 parent::DisConnect( $MySQLiconn); 
		 
			 
			 }   
			 
			 
		
		 public function checkFees($feeid){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  fees 
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }
		 
		 
		 public function findFee($feeid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  fees 
                WHERE  feeid = :feeid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':feeid', $feeid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->session1 = $row['session1'];
	   $this->term = $row['term'];
	   $this->class1 = $row['class'];
	   $this->amount = $row['amount'];
	   $this->date1 = $row['date'];
	   
        
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
	
	  
	   public function AddFeeTrans($feeid,$admissionno,$amount,$balance,$session1,$term,$class1,$date,$details,$mode1,$recievedby){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into feetrans (feeid,admissionno,amount,balance,session1,term,class,date,details,mode1,recievedby)
		VALUES(:feeid,:admissionno,:amount,:balance,:session1,:term,:class1,:date,:details,:mode1,:recievedby)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':balance', $balance);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':date', $date);
		
		$statement->bindValue(':details', $details);
		$statement->bindValue(':mode1', $mode1);
		$statement->bindValue(':recievedby',$recievedby);
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }   
		 
		 
	
	
	 public function AddPtaTrans($feeid,$admissionno,$amount,$balance,$session1,$term,$class1,$date,$details,$mode1,$recievedby){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into ptatrans (feeid,admissionno,amount,balance,session1,term,class,date,details,mode1,recievedby)
		VALUES(:feeid,:admissionno,:amount,:balance,:session1,:term,:class1,:date,:details,:mode1,:recievedby)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':feeid', $feeid);
		$statement->bindValue(':admissionno', $admissionno);
		$statement->bindValue(':amount', $amount);
		$statement->bindValue(':balance', $balance);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session1', $session1);
		$statement->bindValue(':class1', $class1);
		$statement->bindValue(':date', $date);
		
		$statement->bindValue(':details', $details);
		$statement->bindValue(':mode1', $mode1);
		$statement->bindValue(':recievedby',$recievedby);
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }   
		 
	 
	 
   public  function addTransaction($transid,$name,$amount,$balance,$term,$session1,$class,$year,
   $admissionno,$lname,$date,$recievedby,$details,$mode1)
   {
	   
	    $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 try{
		 
		 $sql = 'INSERT INTO transaction (transid,name,amount,balance,term,session1,class,year,admissionno,lname,date,recievedby,details,mode1)
		 VALUES(:transid,:name,:amount,:balance,:term,:session1,:class,:year,:admissionno,:lname,:date,:recievedby,:details,:mode1) ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':transid',$transid);
	     $statement->bindValue(':name',$name);
		 $statement->bindValue(':amount',$amount);
		 $statement->bindValue(':balance',$balance);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':session1',$session1);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':admissionno',$admissionno);
	     
		 $statement->bindValue(':lname',$lname);
		 $statement->bindValue(':date',$date);
		  $statement->bindValue(':recievedby',$recievedby);
		   $statement->bindValue(':mode1',$mode1);
		    $statement->bindValue(':details',$details);
		 $statement->execute();
		 
		
		 parent::DisConnect($MySQLiconn);
		 
		  }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
	   
	   }	
	   
	   
	   public function getTransaction($transid){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from transaction WHERE transid = :transid';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':transid',$transid);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   }  
		   
		   
	
    
	 public function getGeneralAccountFees($id){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from generalfee WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 	
		   
		   
	
	 public function getGeneralAccountPta($id){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'SELECT * from generalpta WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 	
	   
	   
		   
		   
		   
		   public function updateGeneralAccountFees($id,$amount){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'UPDATE generalfee SET amount = :amount  WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':amount',$amount);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 
		   
		   
		
		 public function updateGeneralAccountPta($id,$amount){
		   $instance = parent::getInstance();
		   $MySQLiconn  = $instance->getConnection();
		   
		   $sql = 'UPDATE generalpta SET amount = :amount  WHERE id = :id';
		   $statement = $MySQLiconn->prepare($sql);
		   $statement->bindValue(':id',$id);
		   $statement->bindValue(':amount',$amount);
		   $statement->execute();
		   
		    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   
		   } 
		
		   
		    
	   
	
	 public function checkPta($pid){
	  
	  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta
                WHERE  pid = :pid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':pid', $pid);

        $statement->execute();
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
	  	
		 }   
	
	   
	   
		

  public function AddPta($pid,$term,$session,$amount,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'INSERT into pta (pid,term,session,amount,date)
		VALUES(:pid,:term,:session,:amount,:date)'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pid', $pid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session', $session);
		
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 }  		
		 
		 
		
	  public function findPta($pid){
	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  pta 
                WHERE  pid = :pid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':pid', $pid);

        $statement->execute();
	     $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->session = $row['session'];
	   $this->term = $row['term'];
	  
	   $this->amount = $row['amount'];
	   $this->date1 = $row['date'];
	   
        
      
		 parent::DisConnect( $MySQLiconn);	 
			 
			 
			 }
		
		
		
	
		public function EditPta($pid,$term,$session,$amount,$date){
		 
		 
		  try{
	   $instance = parent::getInstance();
		 $MySQLiconn  = $instance->getConnection();
		 
		$sql = 'UPDATE pta set term = :term,session = :session,amount = :amount,date = :date
		WHERE pid = :pid'; 
		
		
		$statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':pid', $pid);
		$statement->bindValue(':term', $term);
		$statement->bindValue(':session', $session);
		
		$statement->bindValue(':amount', $amount);
		
		$statement->bindValue(':date', $date);
		
		
		 $statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	   }
	   catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}  
		 
		 } 
		  
 
	  
	  } 


?>