<?php
require_once( "db.php" );

 class Operations extends Db {
	 
	 public $id;
	 public $path;
	 public $date;
	 public $date1;
	 public $email;
	 public $phone;
	 public $lastname;
	 public $firstname;
	 public $balance;
	 public $image;
	 public $phone2;
	 public $name;
	 public $mid;
	 public $message;
	 public $sender;
	 public $amount;
	 public $details;
	 public $status;
	 public $volume;

	 
	 
	
	
	 public function __construct() {

   }
	 
	 public function addPathToFile($id,$path,$date,$email,$name,$groupname){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO folders
		(id,path,date,email,name,groupname)
                VALUES (:id, :path, :date,:email,:name,:groupname)';

       
         
        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
		$statement->bindValue(':path', $path);
		$statement->bindValue(':date', $date);
		$statement->bindValue(':email', $email);
		$statement->bindValue(':name', $name);
		
		$statement->bindValue(':groupname', $groupname);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
				 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }
		 
		 
	public function findPathToFile($email){
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'select * from folders where email = :email ORDER BY id DESC';
	 
		 $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);
		
		 $statement->execute();  
		  return $statement;
		  parent::DisConnect( $MySQLiconn);
		
		
		}	
		
		public function readFile($file){
			
			  $handle = fopen($file, "r") or die("ERROR: Cannot open the file.");
			 $content = fread($handle, filesize($file));
			fclose($handle);
			return $content;
			
			}
			
		
		public function addCustomers($email,$phone,$firstname,$lastname,$balance,$checked,$date){
			
			try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	    $sql = 'INSERT INTO customers
		(email,phone,firstname,lastname,balance,checked,date)
                VALUES (:email, :phone, :firstname,:lastname,:balance,:checked,:date)';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email); 
	    $statement->bindValue(':phone', $phone); 
	    $statement->bindValue(':firstname', $firstname); 
		 $statement->bindValue(':lastname', $lastname); 
		$statement->bindValue(':balance', $balance); 
	    $statement->bindValue(':checked', $checked); 
		$statement->bindValue(':date', $date); 
		
		 $statement->execute();

        parent::DisConnect( $MySQLiconn);		
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		
		}	
	
	 
	
	
	public function addOrders($amount,$email,$details,$status,$id ,$date,$checked,$id2,$time,$volume){
			
			try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	    $sql = 'INSERT INTO orders
		(amount,email,details,status,id,date,checked,id2,time,volume)
                VALUES (:amount, :email, :details,:status,:id,:date,:checked,:id2,:time,:volume)';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email); 
	    $statement->bindValue(':amount', $amount); 
	    $statement->bindValue(':details', $details); 
		$statement->bindValue(':status', $status); 
	    $statement->bindValue(':checked', $checked); 
		$statement->bindValue(':date', $date); 
		$statement->bindValue(':id', $id); 
		$statement->bindValue(':id2', $id2); 
		$statement->bindValue(':time', $time); 
		$statement->bindValue(':volume', $volume); 
		 $statement->execute();

        parent::DisConnect( $MySQLiconn);		
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		
		}	
	 
	 
	 public function addPurchase($id,$email,$amount,$status,$nosms,$staffid,$date){
		
		try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	    $sql = 'INSERT INTO purchases
		(id,email,amount,status,nosms,staffid,date)
                VALUES (:id, :email, :amount,:status,:nosms,:staffid,:date)';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id); 
	    $statement->bindValue(':email', $email); 
	    $statement->bindValue(':amount', $amount); 
		$statement->bindValue(':status', $status); 
	    $statement->bindValue(':nosms', $nosms); 
		$statement->bindValue(':staffid', $staffid); 
		$statement->bindValue(':date', $date); 
		 $statement->execute();

        parent::DisConnect( $MySQLiconn);		
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
		   
		 }
		 
	  
	  public function checkEmail($email){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   customers
                WHERE  email = :email';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
	  $num = $statement->rowCount();
    return $num;
		 parent::DisConnect( $MySQLiconn);
		
		}  
	  
	
	
	
	public function getCustomerInfo($email){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   customers
                WHERE  email = :email';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->email = $row['email'];
	   $this->lastname = $row['lastname'];
	   $this->firstname = $row['firstname'];
	   $this->balance = $row['balance'];
	   $this->phone = $row['phone'];
	 
	   $this->image = $row['image'];	 
		 parent::DisConnect( $MySQLiconn);
		
		}  
	
	
	
	


	
	
	public function sendSMS($from,$to,$text){
		
		
		$notifyUrl = "";
	$notifyContentType = "application/json";
	$callbackData = "";
	$messageId = "";
	$username = "DcubeFred1";
	$password = "Luke1:37";

$postUrl = "https://api.infobip.com/sms/1/text/advanced";
// creating an object for sending SMS
$destination = array("messageId" => $messageId, 
			"to" => $to);
$message = array("from" => $from,
		"destinations" => array($destination),
        "text" => $text,
        "notifyUrl" => $notifyUrl,
        "notifyContentType" => $notifyContentType,
        "callbackData" => $callbackData);
		
		
		$postData = array("messages" => array($message));
            $postDataJson = json_encode($postData);
            $ch = curl_init();
            $header = array("Content-Type:application/json", "Accept:application/json");
            curl_setopt($ch, CURLOPT_URL, $postUrl);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
            curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
            curl_setopt($ch, CURLOPT_USERPWD, $username . ":" . $password);
            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 2);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
            curl_setopt($ch, CURLOPT_MAXREDIRS, 2);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postDataJson);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            // response of the POST request
            $response = curl_exec($ch);
            $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            $responseBody = json_decode($response);
            curl_close($ch);
		
		
		}
		
		
	public function addCustomerContact($email,$name,$phone,$phone2){
		 
		 try{
		
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
		 
        $sql = 'INSERT INTO customercontacts
		(email,name,phone,phone2)
                VALUES ( :email, :name,:phone,:phone2)';

       
         
        $statement = $MySQLiconn->prepare($sql);
        
		$statement->bindValue(':email', $email);
		$statement->bindValue(':name', $name);
		$statement->bindValue(':phone', $phone);
		$statement->bindValue(':phone2', $phone2);
        $statement->execute();

        parent::DisConnect( $MySQLiconn);	 
			
				 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		 
		 }	
		
  
      
	  public function findContactsViaEmail($email){
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'select * from customercontacts where email = :email ORDER BY id DESC';
	 
		 $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);
		
		 $statement->execute();  
		  return $statement;
		  parent::DisConnect( $MySQLiconn);
		
		
		}	
	  		
		
	
	public function updateContact($id,$phone,$phone2,$name){
		try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 
	 $sql = 'update customercontacts set phone = :phone,phone2 = :phone2,  name = :name where id = :id';
	 
	 	 $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
		 $statement->bindValue(':phone', $phone);
		  $statement->bindValue(':phone2', $phone2);
		   $statement->bindValue(':name', $name);
	 $statement->execute();
		}
		
		catch(Exception $e){
			echo "oops! ".$e->getMessage(); 	
			
			}
		
		} 
	 
	  public function deleteContact($phone){
		  
		  try{
			 $instance = parent::getInstance();
		// $instance = new DBAccess();
        $MySQLiconn  = $instance->getConnection();
	    $sql = 'delete from customercontacts where phone = :phone ';
		$statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':phone', $phone);
	    $statement->execute();
	  
			  }
			  
			  catch(Exception $e){
				  echo "oops! ".$e->getMessage();
				  }
		  
		  } 
		  
		  
		
		public function checkContactPhone($phone2){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   customercontacts
                WHERE  phone2 = :phone2';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':phone2', $phone2);

        $statement->execute();
	  $num = $statement->rowCount();
    return $num;
		 parent::DisConnect( $MySQLiconn);
		
		}  
	 
	
	public function getCustomerContactViaId($id){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   customercontacts
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->phone2 = $row['phone2'];
	   $this->name = $row['name'];
	   $this->id = $row['id'];
	   
		 parent::DisConnect( $MySQLiconn);
		
		}  
	
	
	 function explodeX( $delimiters, $string )
   {
    return explode( chr( 1 ), str_replace( $delimiters, chr( 1 ), $string ) );
    } 
	    
	
	public function sendSMS2($from,$to,$text,$smsCount){
		
		
		$notifyUrl = "http://localhost/247dcubesms/customerop/send";
	$notifyContentType = "application/json";
	$callbackData = "";
	$messageId = "";
	$username = "DcubeFred1";
	$password = "Luke1:37";

$postUrl = "https://api.infobip.com/sms/1/text/advanced";
// creating an object for sending SMS
$destination = array("messageId" => $messageId, 
			"to" => $to);
$message = array("from" => $from,
		"destinations" => array($destination),
        "text" => $text,
        "notifyUrl" => $notifyUrl,
        "notifyContentType" => $notifyContentType,
        "callbackData" => $callbackData);
		
		
		$postData = array("messages" => array($message));
            $postDataJson = json_encode($postData);
            $ch = curl_init();
            $header = array("Content-Type:application/json", "Accept:application/json");
            curl_setopt($ch, CURLOPT_URL, $postUrl);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
            curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
            curl_setopt($ch, CURLOPT_USERPWD, $username . ":" . $password);
            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 2);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
            curl_setopt($ch, CURLOPT_MAXREDIRS, 2);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postDataJson);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            // response of the POST request
            $response = curl_exec($ch);
            $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            $responseBody = json_decode($response);
            curl_close($ch);
			
			
			if ($httpCode >= 200 && $httpCode < 300) {
                $messages = $responseBody->messages;
				
				  foreach ($messages as $message) {
					  
					  
				  }
			
			}
		
		}
		
		  
	public function sendSMSwithFlash($from,$to,$text){
		
		
		$notifyUrl = "http://localhost/247dcubesms/customerop/send";
	$notifyContentType = "application/json";
	$callbackData = "";
	$messageId = "";
	$username = "DcubeFred1";
	$password = "Luke1:37";

$postUrl = "https://api.infobip.com/sms/1/text/advanced";
// creating an object for sending SMS
$destination = array("messageId" => $messageId, 
			"to" => $to);
$message = array("from" => $from,
		"destinations" => array($destination),
        "text" => $text,
		"flash"=>$true,
        "notifyUrl" => $notifyUrl,
        "notifyContentType" => $notifyContentType,
        "callbackData" => $callbackData);
		
		
		$postData = array("messages" => array($message));
            $postDataJson = json_encode($postData);
            $ch = curl_init();
            $header = array("Content-Type:application/json", "Accept:application/json");
            curl_setopt($ch, CURLOPT_URL, $postUrl);
            curl_setopt($ch, CURLOPT_HTTPHEADER, $header);
            curl_setopt($ch, CURLOPT_HTTPAUTH, CURLAUTH_BASIC);
            curl_setopt($ch, CURLOPT_USERPWD, $username . ":" . $password);
            curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 2);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_FOLLOWLOCATION, TRUE);
            curl_setopt($ch, CURLOPT_MAXREDIRS, 2);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, $postDataJson);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
            // response of the POST request
            $response = curl_exec($ch);
            $httpCode = curl_getinfo($ch, CURLINFO_HTTP_CODE);
            $responseBody = json_decode($response);
            curl_close($ch);
		
		
		}
		
		
		public function updateBalance($email,$balance){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update customers set balance = :balance where email = :email'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':balance', $balance);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			
			}
			
	
	 public function addSentMessages($email,$message,$date,$mid,$recipients){
		 
		 
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'INSERT INTO sent
		(email,message,date,mid,recipients)
                VALUES (:email, :message, :date,:mid,:recipients)'; 
	       $statement = $MySQLiconn->prepare($sql);
          $statement->bindValue(':email', $email);
          $statement->bindValue(':message', $message);
		  $statement->bindValue(':date', $date);
		  $statement->bindValue(':mid', $mid);
		  $statement->bindValue(':recipients', $recipients);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
		 
		 }		
	
	public function addDeliveryReports($messageid,$status,$mid,$phonenumber,$descp){
			
		try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'INSERT INTO reports
		(messageid,status,mid,phonenumber,descp)
                VALUES (:messageid, :status,:mid,:phonenumber,:descp)'; 
	       $statement = $MySQLiconn->prepare($sql);
          $statement->bindValue(':messageid', $messageid);
          $statement->bindValue(':status', $status);
		  $statement->bindValue(':mid', $mid);
		   $statement->bindValue(':descp', $descp);
		   $statement->bindValue(':phonenumber', $phonenumber);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
		
		
		}
	
	public function getSentMessages($date1,$date2,$email){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	  $sql = "SELECT * from sent WHERE date BETWEEN '".$date1."' AND '".$date2."' AND email = :email ORDER BY date DESC ";	

		 $statement = $MySQLiconn->prepare($sql);
		  $statement->bindValue(':email', $email);
    
		
		 $statement->execute();  
		  return $statement;
		  parent::DisConnect( $MySQLiconn);
	   
	   
		
		}
		
		
		public function getDeliveryReports($mid){
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	  $sql = "SELECT s.message,s.mid,d.status,d.descp,d.phonenumber,d.mid,s.date FROM sent s INNER JOIN reports d ON 
	  d.mid = s.mid WHERE d.mid = :mid ";	

		 $statement = $MySQLiconn->prepare($sql);
          $statement->bindValue(':mid', $mid);
		
		 $statement->execute();  
		  return $statement;
		  parent::DisConnect( $MySQLiconn);
	   
	  	
		}
		
		
	
	public function getCustomerSingleMsgById($mid){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   sent
                WHERE  mid = :mid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':mid', $mid);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->message = $row['message'];
	   $this->mid = $row['mid'];
	     $this->date1 = $row['date'];
		 parent::DisConnect( $MySQLiconn);
		
		}  
		
			
	
	public function deleteSentMessage($mid)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   sent
                WHERE  mid = :mid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':mid', $mid);

        $statement->execute();
		 parent::DisConnect( $MySQLiconn);
		
		}	
		
	
	
	public function deleteDeliveryReports($mid)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   reports
                WHERE  mid = :mid';
				

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':mid', $mid);

        $statement->execute();
		 parent::DisConnect( $MySQLiconn);
		
		}		
		  
		  
	
	public function addDrafts($email,$date,$message,$sender){
			
		try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'INSERT INTO drafts
		(email,date,message,sender)
                VALUES (:email, :date, :message,:sender)'; 
	       $statement = $MySQLiconn->prepare($sql);
          $statement->bindValue(':email', $email);
          $statement->bindValue(':date', $date);
		  $statement->bindValue(':message', $message);
		   $statement->bindValue(':sender', $sender);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
		
		}
		
		
	
	
	public function findDraftsByEmailAndDate($date1,$date2,$email)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
         $sql = "SELECT 
		 * from drafts WHERE date BETWEEN '".$date1."' AND '".$date2."' AND email = :email ORDER BY date DESC ";	
				

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		return $statement;
		 parent::DisConnect( $MySQLiconn);
		
		}		
	
	
	public function getSavedMsgById($id){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   drafts
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->message = $row['message'];
	   $this->id = $row['id'];
	   $this->sender = $row['sender'];
	   $this->date1 = $row['date'];
		 parent::DisConnect( $MySQLiconn);
		
		}  
	
	
	  
	   public function deleteFile($id){
		  
		  try{
			 $instance = parent::getInstance();
		// $instance = new DBAccess();
        $MySQLiconn  = $instance->getConnection();
	    $sql = 'delete from folders where id = :id ';
		$statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
	    $statement->execute();
	  
			  }
			  
			  catch(Exception $e){
				  echo "oops! ".$e->getMessage();
				  }
		  
		  }  
	 
		
		public function deleteDrafts($id)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'DELETE 
                FROM   drafts
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
		 parent::DisConnect( $MySQLiconn);
		
		}	
	
	 public function deleteContactById($id){
		  
		  try{
			 $instance = parent::getInstance();
		// $instance = new DBAccess();
        $MySQLiconn  = $instance->getConnection();
	    $sql = 'delete from customercontacts where id = :id ';
		$statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
	    $statement->execute();
	  
			  }
			  
			  catch(Exception $e){
				  echo "oops! ".$e->getMessage();
				  }
		  
		  } 
		  
		  
	
	  
	  public function findAllCustomers(){
		
		$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 'select * from customers ORDER BY date DESC';
	 
		 $statement = $MySQLiconn->prepare($sql);
       
		
		 $statement->execute();  
		  return $statement;
		  parent::DisConnect( $MySQLiconn);
		
		
		}
		
	
	
	 
	 
	
	public function updateChecked($email,$checked){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update customers set checked = :checked where email = :email'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':checked', $checked);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			
			}
			
			
			
	   
	   
	public function findOrdersByEmail($email)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
         $sql = "SELECT 
		 * from orders WHERE  email = :email ORDER BY time DESC ";	
				

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);

        $statement->execute();
		return $statement;
		 parent::DisConnect( $MySQLiconn);
		
		}	
	
	
	
	public function addOrdersReply($orderid,$reply,$email,$date,$staffname){
			
			try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	    $sql = 'INSERT INTO replyorders
		(orderid,reply,email,date,staffname)
                VALUES (:orderid, :reply, :email,:date,:staffname)';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':orderid', $orderid); 
	    $statement->bindValue(':reply', $reply); 
	    $statement->bindValue(':email', $email); 
		$statement->bindValue(':date', $date); 
	    $statement->bindValue(':staffname', $staffname); 
		$statement->execute();

        parent::DisConnect( $MySQLiconn);		
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		
		}	
		
	
	
	
	public function findReplysByOdersId($orderid)
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
         $sql = "SELECT 
		 * from replyorders WHERE  orderid = :orderid ORDER BY id DESC ";	
				

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':orderid', $orderid);

        $statement->execute();
		return $statement;
		 parent::DisConnect( $MySQLiconn);
		
		}	
	
	
	public function findOrdersAdmin()
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
         $sql = "SELECT 
		 * from orders  ORDER BY time DESC ";	
				

        $statement = $MySQLiconn->prepare($sql);
       

        $statement->execute();
		return $statement;
		 parent::DisConnect( $MySQLiconn);
		
		}	
							  
	
	
		public function updateCheckedAndCredited($id,$checked,$status){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update orders set checked = :checked,status = :status where id = :id'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
        $statement->bindValue(':checked', $checked);
		$statement->bindValue(':status', $status);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			}
		
	
	
	
	
	public function updateStatusOrders($id,$status){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update orders set status = :status where id = :id'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
      
		$statement->bindValue(':status', $status);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			}
	
	
	public function updateCheckedOrders($id,$checked){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update orders set checked = :checked where id = :id'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
        $statement->bindValue(':checked', $checked);
		
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			}
	
	
	  
	 public function updateCustomerBalance($email,$balance,$status){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update customers set balance = :balance,status = :status where email = :email'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':email', $email);
        $statement->bindValue(':balance', $balance);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			
			}
			
	
	 
	 public function getOrdersByID($id){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   orders
                WHERE  id = :id';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);

        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->amount = $row['amount'];
	   $this->email = $row['email'];
	   $this->details = $row['details'];
	   $this->date1 = $row['date'];
	    $this->status = $row['status'];
		 $this->volume = $row['volume'];
		 parent::DisConnect( $MySQLiconn);
		
		}  
	
	
	public function addOrdersReplyCus($orderid,$reply,$email,$date,$staffname,$status){
			
			try{
			$instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	    $sql = 'INSERT INTO replyorders
		(orderid,reply,email,date,staffname,status)
                VALUES (:orderid, :reply, :email,:date,:staffname,:status)';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':orderid', $orderid); 
	    $statement->bindValue(':reply', $reply); 
	    $statement->bindValue(':email', $email); 
		$statement->bindValue(':date', $date); 
	    $statement->bindValue(':staffname', $staffname); 
		 $statement->bindValue(':status', $status); 
		$statement->execute();

        parent::DisConnect( $MySQLiconn);		
			 
			 }
			 
			 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		
		}	 
	
	
	public function findReplyOrdersAdmin()
	{
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
         $sql = "SELECT 
		 * from replyorders  ORDER BY id DESC ";	
				

        $statement = $MySQLiconn->prepare($sql);
       

        $statement->execute();
		return $statement;
		 parent::DisConnect( $MySQLiconn);
		
		}	
			
	
	
	public function updateReplyOrdersStaus($id,$checked){
			
			try{
		  	
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  $sql = 'update replyorders set status = :status where id = :id'; 
	     $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':id', $id);
        $statement->bindValue(':status', $status);
        $statement->execute();
	   
			}
			catch(Exception $e){
				 echo "oops! ".$e->getMessage();
				}
	   
			
			}
	
	
	   //codes for admission
	   
	   public function getInterviewResultByCode($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT e.lname,e.fname, e.othernames, e.class,e.gender,e.mphone,e.dob,e.state,e.emailfather, i.examno,i.date,i.examcode,i.score,i.avg,i.status,i.admission
                FROM exams e INNER JOIN  interviewresult i ON e.examno = i.examno  WHERE i.examcode  = :examcode ORDER BY i.avg DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
	   
	   
	   
	   
	    public function getLatestExamCodes(){
			$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
		 
				 $sql = 'SELECT *
								 FROM   examcode ORDER BY date DESC LIMIT 1  ';
 
				 $statement = $MySQLiconn->prepare($sql);
		 
				
				 $statement->execute();
		 
			 return $statement;
			
			parent::DisConnect( $MySQLiconn);  
			
			}
			
			
		
		
		   	 public function getStatusPassMarkInterview($examcode){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from passinterview WHERE examcode = :examcode';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examcode',$examcode);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			
			 
			 $this->status = $row['status'];
			 $this->passmark = $row['passmark'];
			 $this->status2 = $row['status1'];
		 
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}  
			
	
	  public function checkExamCode($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   examcode
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}		
	   
	   //codes for admission
	
		  
	 	 
 }