<?php
require_once( "../db.php" );

 class Candidates extends Db {
	 
	 public $examno;
	 public $lname;
	 public $fname;
	 public $gender;
	 public $term;
         public $class;
		 public $password;
		 public $status;
		 public $phone;
		 public $email;
		 public $year;
		 public $session;
		 public $dob;
		 public $date;
		 public $downloadstattus;
		 public $examcode;
		 public $date1;
		 public $class1;
	  public $address;
		 public $image;
		 public $english;
		 public $mathematics;
		 public $current_affairs;
		 public $computer;
		 public $crs;
		 public $total;
		 public $score;
		 public $passmark;
		 public $admission;
		 public $status1;
		 public $status2;
		 public $age;
		 public $previousclass;
		 public $previousschool;
		 public $father;
		 public $mother;
		 public $fphone;
		 public $mphone;
		 public $addressFather;
		 public $addressMother;
		 public $emailFather;
		 public $emailMother;
		 public $religion;
		 public $telspondor;
		 public $checkstud;
		 public $checksponsor;
		 public $checkparent;
		 public $transfer;
		 public $othernames;
		 public $day;
		 public $month;
		 public $sponsor;
		 public $emailSponsor;
		 public $telSponsor;
		 public $notice;
		 public $state;
		 public $lga;
		 public $hometown;
		 public $letter;
		
		 
	 
	  public function __construct() {

   }
   
     public function addCandidates($examno, $lname, $fname, $gender, $class, $password, $date, $status, $phone, $email,
	 $year, $session, $dob, $term, $examcode, $address,$increment,$fullname ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into exams (examno,lname,fname,gender,class,password,date, status, phone, email, year,session,dob,term, examcode, address,increment,fullname) VALUES (:examno, :lname, :fname, :gender,:class,:password,:date,:status,:phone,:email,:year,:session,:dob,:term, :examcode, :address, :increment,:fullname)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':fname',$fname);
		   $statement->bindValue(':lname',$lname);
		$statement->bindValue(':gender',$gender);
		$statement->bindValue(':class',$class);
			$statement->bindValue(':password',$password);
		
		$statement->bindValue(':date',$date);
		$statement->bindValue(':status',$status);
		$statement->bindValue(':phone',$phone);
		$statement->bindValue(':email',$email);
		$statement->bindValue(':year',$year);
		$statement->bindValue(':session',$session);
		$statement->bindValue(':dob',$dob);
		$statement->bindValue(':term',$term);
		$statement->bindValue(':examcode',$examcode);
		$statement->bindValue(':address',$address);
		$statement->bindValue(':increment',$increment);
			$statement->bindValue(':fullname',$fullname);
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
  
    public function updateCandidates($examno, $lname, $fname, $gender, $class,  $date,  $phone, $email, $dob, $address ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  exams set lname = :lname, fname = :fname, gender = :gender, class = :class, date = :date, phone = :phone,
		email = :email, dob = :dob, address = :address WHERE examno = :examno";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':fname',$fname);
		   $statement->bindValue(':lname',$lname);
		$statement->bindValue(':gender',$gender);
		$statement->bindValue(':class',$class);
			
		
		$statement->bindValue(':date',$date);
		
		$statement->bindValue(':phone',$phone);
		$statement->bindValue(':email',$email);
		
		
		$statement->bindValue(':dob',$dob);
		
	
		$statement->bindValue(':address',$address);
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }		  
		  
			
	
			public function updateStatusAdd($examno ){
				$instance = parent::getInstance();	
					$MySQLiconn  = $instance->getConnection();
				 
			 $sql = "UPDATE  exams set statusadd = 'added'  WHERE examno = :examno";
				$statement = $MySQLiconn->prepare($sql); 
				 $statement->bindValue(':examno',$examno);
				 
					$statement->execute();	
				parent::DisConnect( $MySQLiconn);
				 }	



				 public function updateStatusAddInterview($examno ){
					$instance = parent::getInstance();	
						$MySQLiconn  = $instance->getConnection();
					 
				 $sql = "UPDATE  exams set statusaddi = 'added'  WHERE examno = :examno";
					$statement = $MySQLiconn->prepare($sql); 
					 $statement->bindValue(':examno',$examno);
					 
						$statement->execute();	
					parent::DisConnect( $MySQLiconn);
					 }	
	


		  
		
		public function checkCandidates($examno){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   exams
                WHERE  examno = :examno';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examno', $examno);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}  
		  
		  
	  public function viewExamCodes(){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   examcode ORDER BY date DESC  ';

        $statement = $MySQLiconn->prepare($sql);
		
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }



		 public function getLatestExamCodes(){
			$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
		 
				 $sql = 'SELECT *
								 FROM   examcode ORDER BY date DESC LIMIT 1  ';
 
				 $statement = $MySQLiconn->prepare($sql);
		 
				
				 $statement->execute();
		 
			 return $statement;
			
			parent::DisConnect( $MySQLiconn);  
			
			}
	 
		  
		  
		  
		  
		  
		  
		  
		  public function getCandidtesByExamCode($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  exams WHERE examcode  = :examcode';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }



		 public function getCandidtesByExamCodeAndClass($examcode,$class){
			$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
		 
				 $sql = 'SELECT *
								 FROM  exams WHERE examcode  = :examcode AND class = :class';
 
				 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':examcode',$examcode);
		 $statement->bindValue(':class',$class);
				
				 $statement->execute();
		 
			 return $statement;
			
			parent::DisConnect( $MySQLiconn);  
			
			}
		 
		
    
	 
	 public function searchCandidates($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"SELECT  * FROM exams WHERE examno LIKE '%" . $name .  "%' OR lname LIKE '%" . $name ."%' OR fname LIKE '%" . $name ."%' 
	 OR class LIKE '%" . $name ."%' OR phone LIKE '%" . $name ."%' OR examcode LIKE '%" . $name ."%' OR fullname LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	
			 
		  
		  
				public function addExamResult($examno,$mathematics,$english,$current_affairs,$crs,$computer, $examcode,$year,$date, $status,
				$statusadd,$total){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into examsresult (examno,mathematics,english,current_affairs,crs,computer,examcode,year,date,
		status,statusadd,total) VALUES (:examno,:mathematics,:english,:current_affairs,:crs,:computer,:examcode,:year,:date,
		:status,:statusadd,:total)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':mathematics',$mathematics);
		  $statement->bindValue(':english',$english);
		  $statement->bindValue(':current_affairs',$current_affairs);
		  $statement->bindValue(':crs',$crs);
		$statement->bindValue(':computer',$computer);
		$statement->bindValue(':examcode',$examcode);
		$statement->bindValue(':year',$year);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':status',$status);
		$statement->bindValue(':statusadd',$statusadd);
		$statement->bindValue(':total',$total);
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
			
			
			public function updateExamResult($examno,$mathematics,$english,$current_affairs,$crs,$computer,$total){
	 $instance = parent::getInstance();	
		 $MySQLiconn  = $instance->getConnection();
		
	$sql = "UPDATE examsresult set mathematics = :mathematics, english = :english, current_affairs = :current_affairs,
	crs = :crs, computer = :computer, total  = :total where examno = :examno ";

	 $statement = $MySQLiconn->prepare($sql); 
		$statement->bindValue(':examno',$examno);
		$statement->bindValue(':mathematics',$mathematics);
		$statement->bindValue(':english',$english);
		$statement->bindValue(':current_affairs',$current_affairs);
		$statement->bindValue(':crs',$crs);
	$statement->bindValue(':computer',$computer);
	
	$statement->bindValue(':total',$total);
		 $statement->execute();	
	 parent::DisConnect( $MySQLiconn);
		}

		  
		  
		    public function getExamsResultByCode($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT e.lname,e.fname,e.examcode,e.class,e.gender,e.phone,e.mphone,e.fphone,ex.examno,ex.mathematics,ex.english,ex.current_affairs,ex.crs,ex.computer,ex.total,ex.year,ex.date,ex.status 
                FROM  examsresult ex INNER JOIN  exams e ON e.examno = ex.examno  WHERE ex.examcode  = :examcode  ORDER BY ex.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		  
		
		
		  public function updateExamResultStatus($examno,$status){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE examsresult SET status = :status WHERE examno = :examno ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examno',$examno);
		  
		  $statement->bindValue(':status',$status);

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		
		
		
		  public function updateInterviewResultStatus($examno,$status){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE interviewresult SET status = :status WHERE examno = :examno ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examno',$examno);
		  
		  $statement->bindValue(':status',$status);

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		
		
		public function addExamCode($examcode,$year,$date,$month){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into examcode (examcode,year,date,month) VALUES (:examcode, :year, :date,:month)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examcode',$examcode);
		  $statement->bindValue(':year',$year);
		$statement->bindValue(':date',$date);
		$statement->bindValue(':month',$month);
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }  
		  
		  
		  
		  
		  public function checkExamCode($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   examcode
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}




		public function checkExamCodeDateMonth($month,$year){
		
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			
					$sql = 'SELECT *
									FROM   examcode
									WHERE month = :month and year = :year';
	
					$statement = $MySQLiconn->prepare($sql);
					$statement->bindValue(':month', $month);
					$statement->bindValue(':year', $year);
	
					$statement->execute();
			//$row = $statement->fetch(PDO::FETCH_ASSOC);
			
			 
			$num = $statement->rowCount();
		 
	 
			return $num;
					
				
			 parent::DisConnect( $MySQLiconn);
			
			
			
			
			}

		  
			
			
			
	  
	  public function addInterviewResult($examno,$year,$score,$status,$examcode,$date,$avg){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into interviewresult (examno,year,score,status,examcode,date,avg) VALUES (:examno,:year,:score,:status,:examcode,:date,:avg)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':year',$year);
		  $statement->bindValue(':score',$score);
		  $statement->bindValue(':status',$status);
		  $statement->bindValue(':examcode',$examcode);
		$statement->bindValue(':date',$date);
		 $statement->bindValue(':avg',$avg);
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
		  
		  
		
		
		    public function getInterviewResultByCode($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT e.lname,e.fname,e.class,e.gender,e.phone, i.examno,i.date,i.examcode,i.score,i.avg,i.status,i.admission
                FROM exams e INNER JOIN  interviewresult i ON e.examno = i.examno  WHERE i.examcode  = :examcode ORDER BY i.avg DESC';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
				
		 

		 public function updateInterviewesult($examno,$score,$status,$avg){
			$instance = parent::getInstance();	
				$MySQLiconn  = $instance->getConnection();
			 
		 $sql = "UPDATE interviewresult set score = :score, status = :status, avg = :avg where examno = :examno ";
	 
			$statement = $MySQLiconn->prepare($sql); 
			 $statement->bindValue(':examno',$examno);
			 $statement->bindValue(':score',$score);
			 $statement->bindValue(':status',$status);
			 $statement->bindValue(':avg',$avg);
			 
				$statement->execute();	
			parent::DisConnect( $MySQLiconn);
			 }

		  
			public function addPassMark($examcode,$year,$date,$passmark,$status){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into passmark (examcode,year,date,passmark,status) VALUES (:examcode, :year, :date, :passmark,:status)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examcode',$examcode);
		  $statement->bindValue(':year',$year);
		  $statement->bindValue(':passmark',$passmark);
		    $statement->bindValue(':status',$status);

		$statement->bindValue(':date',$date);
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		  
		  
		  
		  public function updatePassMark($examcode,$passmark){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE passmark SET passmark = :passmark WHERE examcode = :examcode and status <> 'closed' ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examcode',$examcode);
		  
		  $statement->bindValue(':passmark',$passmark);

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		 
		  public function openCloseCheckingOFExamScores($examcode,$status1){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE passmark SET status1 = :status1 WHERE examcode = :examcode  ";
		   $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examcode',$examcode);
		   $statement->bindValue(':status1',$status1);
		 

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		 
		 
		 
		
		 public function openCloseCheckingOFInterviewScores($examcode,$status1){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE passinterview SET status1 = :status1 WHERE examcode = :examcode ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examcode',$examcode);
		   $statement->bindValue(':status1',$status1);
		

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }  
		 
		 
		
		 public function getPassMarkResultByCode($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  passmark WHERE examcode  = :examcode';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 } 
		 
		 
		  public function checkPassMark($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   passmark
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}
		  
		  
		  
	
	 
	
	
		  
		  
		  public function getStatusPassMark($examcode){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from passmark WHERE examcode = :examcode';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examcode',$examcode);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			
			 
			 $this->status = $row['status'];
			 $this->passmark = $row['passmark'];
			$this->status1 = $row['status1'];
		 
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}   
			
			
			
			
			
			 public function getStatusPassMarkInterview($examcode){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from passinterview WHERE examcode = :examcode';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examcode',$examcode);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			
			 
			 $this->status = $row['status'];
			 $this->passmark = $row['passmark'];
			 $this->status2 = $row['status1'];
		 
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}   
		  
		  
		  
		  
		  
		  
		  public function addPassMarkInterview($examcode,$year,$date,$passmark,$status){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into passinterview (examcode,year,date,passmark,status) VALUES (:examcode, :year, :date, :passmark,:status)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examcode',$examcode);
		  $statement->bindValue(':year',$year);
		  $statement->bindValue(':passmark',$passmark);

		$statement->bindValue(':date',$date);
		$statement->bindValue(':status',$status);
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
		  
		  
		   public function getPassInterviewResultByCode($examcode){
		 $instance = parent::getInstance();	
         $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  passinterview WHERE examcode  = :examcode';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 } 
		 
		 
		 
		 public function checkPassMarkInterview($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   passinterview
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}
		 
		 
		 
		 public function findcandidatesByNumber($examno){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	    $sql = 'SELECT * from exams WHERE examno =:examno';
	   
	   
	    $statement = $MySQLiconn->prepare($sql);
		
		$statement->bindValue(':examno',$examno);
		
	    $statement->execute();
	   $row = $statement->fetch(PDO::FETCH_ASSOC);
	   
	   $this->examno = $row['examno'];
	  // $this->class1=$row['class'];
	   $this->gender = $row['gender'];
	   $this->date1 = $row['date'];
	   $this->lname = $row['lname'];
	   $this->fname = $row['fname'];
	   $this->dob = $row['dob'];
	   $this->examcode = $row['examcode'];
	   $this->email = $row['email'];
	 
	   $this->phone = $row['phone'];
	   $this->class1 = $row['class'];
	   $this->address = $row['address'];
	   $this->term = $row['term'];
	   $this->year = $row['year'];
	   $this->session = $row['session'];
	   $this->status = $row['status'];
		$this->image = $row['image'];
		
		$this->age = $row['age'];
		$this->previousschool = $row['previousschool'];
		$this->previousclass = $row['previousclass'];
		$this->father = $row['father'];
		$this->mother = $row['mother'];
		$this->fphone = $row['fphone'];
		$this->mphone = $row['mphone'];
		$this->addressFather = $row['addressfather'];
		$this->addressMother = $row['addressmother'];
		$this->emailFather = $row['emailfather'];
		$this->emailMother = $row['emailmother'];
		$this->religion = $row['religion'];
		$this->telSponsor = $row['telsponsor'];
		$this->checkstud = $row['checkstud'];
		$this->checksponsor = $row['checksponsor'];
		$this->checkparent = $row['checkparent'];
		$this->othernames = $row['othernames'];
		$this->transfer = $row['transfer'];
		$this->day = $row['day'];
		$this->month = $row['month'];
		$this->year = $row['year1'];
		$this->sponsor = $row['sponsor'];
		$this->emailSponsor = $row['emailsponsor'];
		$this->state = $row['state'];
		$this->lga = $row['lga'];
		$this->hometown = $row['hometown'];
		
		 parent::DisConnect( $MySQLiconn); 
		
		}   
		

		public function findInterviewScoresByNumber($examno){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from interviewresult WHERE examno = :examno';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examno',$examno);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			 
			 $this->examno = $row['examno'];
			// $this->class1=$row['class'];
			 $this->score = $row['score'];
			 
			 $this->status = $row['status'];
			 
			  $this->admission = $row['admission'];
			  $this->image = $row['image'];
		       $this->avg = $row['avg'];
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}   
			
			
			
			public function findScoresByNumber($examno){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from examsresult WHERE examno = :examno';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examno',$examno);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			 
			 $this->examno = $row['examno'];
			// $this->class1=$row['class'];
			
			 
			 $this->status = $row['status'];
			$this->english = $row['english'];
			$this->mathematics = $row['mathematics'];
			$this->computer = $row['computer'];
			$this->current_affairs = $row['current_affairs'];
			$this->crs = $row['crs'];
		    $this->total = $row['total'];
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}  
	
	     
		    
			public function getCandidatesExamScores($examcode){
		 $instance = parent::getInstance();	
         $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  examsresult WHERE examcode  = :examcode';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 } 
		 
		 
		 
		   public function updatePassMarkInterview($examcode,$passmark){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE passinterview SET passmark = :passmark WHERE examcode = :examcode and status <> 'closed' ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examcode',$examcode);
		  
		  $statement->bindValue(':passmark',$passmark);

		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
	    		
			
	
	
	
	 public function searchCandidatesForResult($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	" SELECT e.lname,e.fname,e.examcode,ex.examno,ex.mathematics,ex.english,ex.current_affairs,ex.crs,ex.computer,ex.total,ex.year,ex.date,ex.status 
                FROM  examsresult ex INNER JOIN  exams e ON e.examno = ex.examno
	 
	 
	  WHERE e.examno LIKE '%" . $name .  "%' OR e.lname LIKE '%" . $name ."%' OR e.fname LIKE '%" . $name ."%' 
	 OR e.class LIKE '%" . $name ."%' OR e.phone LIKE '%" . $name ."%' OR e.examcode LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	
	
	
	
	
	 public function searchCandidatesForResultInterview($name){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	" SELECT e.lname,e.fname,e.examcode,ex.examno,ex.score,ex.year,ex.date,ex.status 
                FROM  interviewresult ex INNER JOIN  exams e ON e.examno = ex.examno
	 
	 
	  WHERE e.examno LIKE '%" . $name .  "%' OR e.lname LIKE '%" . $name ."%' OR e.fname LIKE '%" . $name ."%' 
	 OR e.class LIKE '%" . $name ."%' OR e.phone LIKE '%" . $name ."%' OR e.examcode LIKE '%" . $name ."%' ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	
		
		
		
		
		
		  public function upLoadAdmissionLetter($examno,$admission,$image){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE interviewresult SET admission = :admission, image = :image  WHERE examno = :examno ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examno',$examno);
		  
		  $statement->bindValue(':admission',$admission);
          $statement->bindValue(':image',$image);
		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		  
	
	  public function checkCandidatesOnExamCode($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   examcode
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}
	  
		  
		
	
	
	  public function checkCandidatesOnExamCode1($examcode){
		
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM   exams
                WHERE  examcode = :examcode';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':examcode', $examcode);

        $statement->execute();
		//$row = $statement->fetch(PDO::FETCH_ASSOC);
		
     
	  $num = $statement->rowCount();
	 
 
    return $num;
        
      
		 parent::DisConnect( $MySQLiconn);
		
		
		
		
		}	
		
		
	
	
	 public function findAllCandidatesByExamCodeLIMIT1($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  exams where examcode = :examcode ORDER BY increment DESC LIMIT 1';

        $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':examcode', $examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }	
		 
		 
	   	 // add student details
		 public function addExamsCodeAndExamno($examno,$examcode,$increment ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into exams (examno,examcode,increment) VALUES (:examno,:examcode,:increment)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		$statement->bindValue(':examcode',$examcode);  
		$statement->bindValue(':increment',$increment); 
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }
		  
		
		
		
			       
        public function updateStudentDetails($examno, $lname, $fname, $gender,$age,$previousschool,$previousclass,$transfer, $class, $dob,$checkstud,$othernames,$day,$month,$year1,$state,$lga,$hometown ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  exams set lname = :lname, fname = :fname, gender = :gender, class = :class, transfer = :transfer, previousschool = :previousschool,
		previousclass = :previousclass, dob = :dob, age = :age, checkstud = :checkstud, othernames = :othernames,
		day = :day, year1 = :year1, month = :month,state = :state, lga = :lga, hometown = :hometown WHERE examno = :examno";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':fname',$fname);
		   $statement->bindValue(':lname',$lname);
		$statement->bindValue(':gender',$gender);
		$statement->bindValue(':class',$class);
			
		
		$statement->bindValue(':previousclass',$previousclass);
		
		$statement->bindValue(':previousschool',$previousschool);
		$statement->bindValue(':transfer',$transfer);
		
		
		$statement->bindValue(':dob',$dob);
		
	
		$statement->bindValue(':age',$age);
			$statement->bindValue(':checkstud',$checkstud);
			$statement->bindValue(':othernames',$othernames);
			$statement->bindValue(':day',$day);
			$statement->bindValue(':month',$month);
			$statement->bindValue(':year1',$year1);
			$statement->bindValue(':state',$state);
			$statement->bindValue(':lga',$lga);
			$statement->bindValue(':hometown',$hometown);
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }	
		  
		  
		  public function updateParentDetails($examno, $father, $mother, $fphone, $mphone,  $addressfather,  $addressmother, $emailfather, $emailmother, $religion,$checkparent ){
		 $instance = parent::getInstance();	
		 
		 
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  exams set father = :father, mother = :mother, fphone = :fphone,mphone = :mphone, addressfather = :addressfather, addressmother = :addressmother, emailfather = :emailfather,emailmother = :emailmother, religion = :religion, checkparent = :checkparent
		 WHERE examno = :examno";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':father',$father);
		   $statement->bindValue(':mother',$mother);
		$statement->bindValue(':fphone',$fphone);
		$statement->bindValue(':mphone',$mphone);
			
		
		$statement->bindValue(':addressfather',$addressfather);
		
		$statement->bindValue(':addressmother',$addressmother);
		$statement->bindValue(':emailfather',$emailfather);
		$statement->bindValue(':emailmother',$emailmother);
		
		$statement->bindValue(':religion',$religion);
		
	$statement->bindValue(':checkparent',$checkparent);
	
		   $statement->execute();	
		 
		 
		 parent::DisConnect( $MySQLiconn);
		  }	
		  
		   public function updateSponsorDetails($examno, $sponsor,$telsponsor,$emailsponsor, $checksponsor ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  exams set sponsor = :sponsor, telsponsor = :telsponsor, emailsponsor = :emailsponsor, checksponsor = :checksponsor
		 WHERE examno = :examno";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':sponsor',$sponsor);
		   $statement->bindValue(':telsponsor',$telsponsor);
		$statement->bindValue(':emailsponsor',$emailsponsor);
		
		$statement->bindValue(':checksponsor',$checksponsor);	
		
		
		
	
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }		   	  
   	 
	 
	 
		   public function insertApplicantImage($examno, $image ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  exams set image = :image
		 WHERE examno = :examno";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examno',$examno);
		  $statement->bindValue(':image',$image);
		 
		
		
	
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
		  
		  public function insertNotice($notice ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE  notice set notice = :notice
		 WHERE id = '1' ";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':notice',$notice);
		
		 
		
		
	
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
		 
		 
			 public function getNotice(){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = "SELECT * from notice WHERE id = '1'";
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			
			 
			 $this->notice = $row['notice'];
			 
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}   
		  
		
		
		public function closeAdmission($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE examcode SET status = 'closed' WHERE examcode = :examcode ";
		 $statement = $MySQLiconn->prepare($sql); 
	      $statement->bindValue(':examcode',$examcode);
		  
		 
          
		
		
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }  
		   
	
	
	
			public function findScoresByNumberCount($examno){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from examsresult WHERE examno = :examno';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examno',$examno);
			
				$statement->execute();
			 $num = $statement->rowCount();
	 
 
    return $num;
			 
			
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}  
			
			
			public function findInterviewScoresByNumberCount($examno){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from interviewresult WHERE examno = :examno';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examno',$examno);
			
				$statement->execute();
			
				$statement->execute();
			 $num = $statement->rowCount();
	 
 
    return $num;
			 parent::DisConnect( $MySQLiconn); 
			
			}   
			
			
		 public function addAdmissionLetter($examcode,$letter,$date ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "INSERT into letter (examcode,letter,date) VALUES (:examcode,:letter,:date)";
		 $statement = $MySQLiconn->prepare($sql); 
	    $statement->bindValue(':examcode',$examcode);
		$statement->bindValue(':letter',$letter);  
		$statement->bindValue(':date',$date); 
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  }	
		  
		 public function UpdateLetter($examcode,$letter,$date ){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	    
		$sql = "UPDATE letter SET letter = :letter, date = :date WHERE examcode = :examcode ";
		 $statement = $MySQLiconn->prepare($sql); 
	     $statement->bindValue(':examcode',$examcode);
		$statement->bindValue(':letter',$letter);  
		$statement->bindValue(':date',$date); ;
		  
		 
      
		   $statement->execute();	
		 parent::DisConnect( $MySQLiconn);
		  } 
		  
		  public function findCountLetters($examcode){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = 'SELECT * from letter WHERE examcode = :examcode';
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
			$statement->bindValue(':examcode',$examcode);
			
				$statement->execute();
			
				$statement->execute();
			 $num = $statement->rowCount();
	 
 
    return $num;
			 parent::DisConnect( $MySQLiconn); 
			
			}       
			
			
		
		   public function findLetters(){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"select * from letter ORDER BY date DESC ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
	 	
      
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	
	 
	 
	  public function findLettersByExamCode($examcode){
	 
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 $sql = 	"select * from letter where examcode = :examcode ";
	 
	 
	 $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
      
        $statement->execute();
		
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			 
			 $this->letter = $row['letter'];
			
			
			 
			 $this->date1 = $row['date'];
	   
		 parent::DisConnect( $MySQLiconn); 
	 
	 }	
	 
	 
		    public function getPhoneNumberOfandidates($examcode){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT * from exams where  examcode  = :examcode';

        $statement = $MySQLiconn->prepare($sql);
		$statement->bindValue(':examcode',$examcode);
       
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		 
		 }
		 
		 public function getPhoneCandatesNotExam(){
		$instance = parent::getInstance();	
	  $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'SELECT  * FROM exams
	   WHERE   examno  NOT IN (SELECT examno FROM examsresult)';

	   $statement = $MySQLiconn->prepare($sql);
	 
	  
	   $statement->execute();
	   
	   return $statement;
	  
		parent::DisConnect( $MySQLiconn);  
		
		}
		
		
	public function UploadFeeSchedule($id,$link,$date, $examcode ){
			$instance = parent::getInstance();	
		  $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "UPDATE feeupload SET link = :link, date = :date, examcode = :examcode WHERE id = :id ";
			$statement = $MySQLiconn->prepare($sql); 
			$statement->bindValue(':id',$id);
		   $statement->bindValue(':link',$link);  
		   $statement->bindValue(':date',$date); 
			 
		   $statement->bindValue(':examcode',$examcode); 
		 
			  $statement->execute();	
			parent::DisConnect( $MySQLiconn);
			 } 
		 
		
			 public function findFeeSchedule($id,$examcode){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"select * from feeupload where id = :id  and examcode = :examcode";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
				  $statement->bindValue(':id',$id);
				  $statement->bindValue(':examcode',$examcode);
				  $statement->execute();
				  
					   $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					   $this->id = $row['id'];
					  
					   $this->link = $row['link'];
					   
					   $this->date1 = $row['date'];
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }
			   
			   	public function UploadConsent($id,$link_consent,$date, $examcode ){
			$instance = parent::getInstance();	
		  $MySQLiconn  = $instance->getConnection();
		   
		   $sql = "UPDATE consent_upload SET link_consent = :link_consent, date = :date, examcode = :examcode WHERE id = :id ";
			$statement = $MySQLiconn->prepare($sql); 
			$statement->bindValue(':id',$id);
		   $statement->bindValue(':link_consent',$link_consent);  
		   $statement->bindValue(':date',$date); 
			 
		   $statement->bindValue(':examcode',$examcode); 
		 
			  $statement->execute();	
			parent::DisConnect( $MySQLiconn);
			 } 
		 
		 public function findConsent_Letter($id){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"select * from consent_upload where id = :id ";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
				  $statement->bindValue(':id',$id);
				  //$statement->bindValue(':examcode',$examcode);
				  $statement->execute();
				  
					   $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					   $this->id = $row['id'];
					  
					   $this->link_consent = $row['link_consent'];
					   
					   $this->date1 = $row['date'];
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }
			   
			   // find exams code
			   
			   	 public function findExamsCode755($examcode){
	 
				$instance = parent::getInstance();
				  // $instance = new DBAccess();
			   $MySQLiconn  = $instance->getConnection();
			   
			   $sql = 	"select * from examcode where  examcode = :examcode";
			   
			   
			   $statement = $MySQLiconn->prepare($sql);
				 
				  $statement->bindValue(':examcode',$examcode);
				  $statement->execute();
				  
					   $row = $statement->fetch(PDO::FETCH_ASSOC);
					   
					   $this->status = $row['status'];
					  
					 
				 
				   parent::DisConnect( $MySQLiconn); 
			   
			   }
			   
		// update access control
		
		
		
			public function updateAccessControl($lower_range, $upper_range,$date ){
				$instance = parent::getInstance();	
					$MySQLiconn  = $instance->getConnection();
				 
			 $sql = "UPDATE  access_control set    lower_range = :lower_range, upper_range = :upper_range, date = :date  WHERE id = '1'";
				$statement = $MySQLiconn->prepare($sql); 
				$statement->bindValue(':lower_range',$lower_range);
				 $statement->bindValue(':upper_range',$upper_range);
				 $statement->bindValue(':date',$date);
				 
					$statement->execute();	
				parent::DisConnect( $MySQLiconn);
				 }
			 
			   
		public function findAccessControlRange(){
			$instance = parent::getInstance();	
				 $MySQLiconn  = $instance->getConnection();
			 
				$sql = " SELECT * from access_control WHERE id =  '1' ";
			 
			 
				$statement = $MySQLiconn->prepare($sql);
			
		//	$statement->bindValue(':examno',$examno);
			
				$statement->execute();
			 $row = $statement->fetch(PDO::FETCH_ASSOC);
			 
			 $this->lower_range = $row['lower_range'];
			// $this->class1=$row['class'];
			 $this->upper_range = $row['upper_range'];
			 
			
			 
			
			 parent::DisConnect( $MySQLiconn); 
			
			}   
			  
				  
   		  
   
 }