<?php 

require_once( "db.php" );

 class Scores extends Db {
	
	public $scoresid;
	public $subject;
	public $year;
	public $term;
	public $class1;
	
	public $ftest;
	public $stest;
	public $ttest;
	public $fitest;
	public $admissionno;
	public $grade;
	public $position;
	public $masterid;
	public $hfc;
	public $lfc;
	public $cavg;
	public $totaltest;
	public $basic;
	public $phe;
	public $cmp;
	public $bts;
	public $phon;
	public $ver;
	public $lit;
	public $eng;
	public $voc;
	public $he;
	public $arg;
	public $ent;
	public $crs;
	public $sos;
	public $cv;
	public $se;
	public $qt;
	public $mt;
	public $totalbst;
	public $totalenglish;
	public $totalprev;
	public $totalrnk;
	public $totalmaster;
	public $pc;
	public $pa;
	public $ca;
	public $nt;
	public $ne;
	public $hs;
	public $fm; 
	public $ta;
	public $total;
	public $nostudent;
	
	public $jbasic;
	public $jphe;
	public $jcmp;
	public $jbts;
	public $jtotalbst;
	public $jagric;
	public $jhome;
	public $jenter;
	public $jpvstotal;
	public $jcrs;
	public $jsocial;
	public $jcivic;
	public $jsec;
	public $jtotal;
	public $totalfirst;
	public $totalsecond;
	public $totalthird;
	public $totalall;
	public $remarks;
	public $exam;
	public $a1;
	public $a2;
	public $a3;
	public $totalavg1;
	public $totalavg2;
	public $totalavg3;
	
	
	
	public $ENGLISH_STUDIES ;
		
	public $MATHEMATICS;
		public $BIOLOGY; 
		public $CHEMISTRY; 
		public $ECONOMICS ;
		public $AGRIC_SCIENCE ;  
		public $GEOGRAPHY ;  
		public $GOVERNMENT;  
		public $PHYSICS ;
		public $ACCOUNT ;
	public $COMMERCE ; 
	public $HAUSA; 
	public $DATA_PROCESSING ; 
	 public $HOME_MANAGEMENT; 
	  public $FURTHER_MATHEMATICS; 
	 public $BASIC_ELECTRICITY;
	  public $LITERATURE_IN_ENGLISH ; 
	  public $FRENCH;  
	  public $CRS ; 
	  public $CIVIC_EDUCATION ; 
	 public $STORE_MANAGEMENT ;
	  public $TECHNICAL_DRAWING ; 
	  public $promoted;
	  public $FISHERIES;
	
	
	
	
	
	 public function __construct() {

   }
	 
  
	  
	
  
	  
	  
	  
	  
	  
	  
	
	  
	  
	  
	


	


 public function initializeScores($scoresid,$subject,$year,$term,$class1,$ftest,$stest,$ttest, $fitest, $exam,$total,$admissionno, $masterid,$class2){
	 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
	 $sql = 'INSERT into scores (scoresid,subject,year,term,class,ftest,stest,ttest,fitest,exam,total,admissionno,masterid,class2)
	 VALUES(:scoresid, :subject, :year, :term, :class, :ftest, :stest, :ttest, :fitest, :exam, :total, :admissionno, :masterid,:class2)';
	 
	// year
	 
	 $statement = $MySQLiconn->prepare($sql);
	 
	 $statement->bindValue(':scoresid',$scoresid); 
	 $statement->bindValue(':subject',$subject); 
	 $statement->bindValue(':year',$year); 
	  $statement->bindValue(':term',$term); 
	 $statement->bindValue(':class',$class1); 
	  $statement->bindValue(':ftest',$ftest); 
	 $statement->bindValue(':stest',$stest); 
	  $statement->bindValue(':ttest',$ttest); 
	  $statement->bindValue(':fitest',$fitest); 
	  $statement->bindValue(':exam',$exam); 
	   $statement->bindValue(':total',$total);
	  $statement->bindValue(':admissionno',$admissionno); 
	   $statement->bindValue(':masterid',$masterid); 
	   $statement->bindValue(':class2',$class2); 
	   $statement->execute(); 
	    
	parent::DisConnect( $MySQLiconn);	 
	 }
	 
	catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}    
	 
	 
	 }
	 
	 
	   public function viewAllSubjectByLevel($level){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  subject WHERE level = :level ORDER BY title ASC';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':level',$level); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }
		   

		   
   public function viewAllScoresBySessionAndClassAndSubject($class,$subject,$year,$term){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.class,s.ftest,s.stest,s.ttest,s.fitest,s.total,s.exam,s.totaltest,s.scoresid, w.lname,w.fname,w.admissionno,w.othernames
                FROM  scores s   INNER JOIN student w ON s.admissionno = w.admissionno where s.class = :class AND s.subject = :subject
				AND s.year = :year AND s.term = :term ORDER BY w.lname ASC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	    $statement->bindValue(':subject', $subject);
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   






	
 public function viewAllScoresByScoresId($scoresid){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.class,s.ftest,s.stest,s.ttest,s.fitest,s.total,s.exam,s.totaltest,s.scoresid,s.subject, w.lname,w.fname,w.admissionno,w.othernames
                FROM  scores s   INNER JOIN student w ON s.admissionno = w.admissionno where s.scoresid = :scoresid';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':scoresid', $scoresid);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
		   
		   

 	 public function updateScores($scoresid,$ftest,$stest,$ttest,$fitest,$exam,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores SET ftest = :ftest, stest = :stest, ttest = :ttest, fitest = :fitest, exam = :exam, 
	   total = :total WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	   $statement->bindValue(':ftest',$ftest);
	$statement->bindValue(':stest',$stest);
	$statement->bindValue(':ttest',$ttest); 
	$statement->bindValue(':fitest',$fitest);
	$statement->bindValue(':exam',$exam);
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }
		 
		 
	 public function updateScoresPlay($scoresid,$ftest,$stest,$ttest,$fitest,$exam,$total,$affective){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores SET ftest = :ftest, stest = :stest, ttest = :ttest, fitest = :fitest, exam = :exam, 
	   total = :total, affective = :affective WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	   $statement->bindValue(':ftest',$ftest);
	$statement->bindValue(':stest',$stest);
	$statement->bindValue(':ttest',$ttest); 
	$statement->bindValue(':fitest',$fitest);
	$statement->bindValue(':exam',$exam);
	$statement->bindValue(':total',$total);
	$statement->bindValue(':affective',$affective);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
	
		 
		 	
		 
	 public function updateScoresForMastersheet($scoresid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
		 
		 
		 
		  
		 
		 
	
	public function updateMaths($masterid, $subject,$total,$total2){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE pmaths SET  ".$subject." =  ".$total." , total =:total2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':total2',$total2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		}
		
		
		public function updatePBST($masterid, $subject,$total,$total2){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE pbst SET  ".$subject." =  ".$total." , total =:total2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':total2',$total2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		}	
		
			   
		   
		   
	
	
		
		public function selectBstjuniorScores($year,$term,$class){
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			$sql = 'SELECT s.masterid, w.admissionno, w.lname, w.fname,s.BASIC_SCIENCE,s.BASIC_TECHNOLOGY,s.PHYSICAL_HEALTH_EDU,s.COMPUTER_STUDIES,s.total, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM jbst s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND  s.term = :term)
) AS rank from jbst s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  AND s.term = :term order by s.total desc ' ;    

		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':year',$year);
	   $statement->bindValue(':term',$term);
	    $statement->bindValue(':class',$class);
		$statement->execute();	
			
		 return $statement;	
		parent::DisConnect( $MySQLiconn);	
			}
			
	
	
	
			
			
			
			
	public function selectMaxTotalFromScoresBST($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(total) as max_mark from jbst WHERE class = :class AND year = :year AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function selectMinTotalFromScoresBST($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(total) as min_mark from jbst WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
	
	public function selectAvgTotalFromScoresBST($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(total) as avg_mark from jbst WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term); 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
				
	
	public function selectAvgTotalFromScoresJRVE($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(total) as avg_mark from jrve WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term); 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		 
		
	  public function selectAvgTotalFromScoresPVS($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(total) as avg_mark from jpvs WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term); 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}	 
	  
	 
		
		
		
		
		
		
	
	
	 public function selectFromBstWithMasterid($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   $sql = 'SELECT * from pbst WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	   
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->basic = $row['BASIC_SCIENCE']; 
		$this->phe = $row['PHYSICAL_HEALTH_EDU'];
		$this->cmp = $row['COMPUTER_STUDIES_ICT'];
		$this->bts = $row['BASIC_TECHNOLOGY'];
		$this->totalbst = $row['total'];
		
		
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		 
		 public function selectFromPmathsWithMasterid($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   $sql = 'SELECT * from pmaths WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	   
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->qt = $row['QUANTITATIVE_REASONING']; 
		$this->mt = $row['MATHEMATICS'];
		
		$this->totalmaths = $row['total'];
		
		
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		 
	
		 	
	
			 
	
			
	public function computeSubjectPositions($year,$term,$subject,$class) {
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  try{ 
	
	
$sql = 'SELECT s.masterid,s.scoresid, w.admissionno, w.lname, w.fname,s.ftest,s.stest,s.ttest,s.fitest,s.exam,s.total,s.remarks,s.grade,s.affective,s.class, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM scores s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term)
) AS rank from scores s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term order by s.total desc ' ;    

//the query commented below also works but it is old method, The above query is ANSI method
/**$sql = 'SELECT s.masterid,s.scoresid, w.admissionno, w.lname, w.fname,s.ftest,s.stest,s.ttest,s.fitest,s.exam,s.total,s.grade,s.affective,s.psycho, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM scores s,  student w   WHERE s.admissionno = w.admissionno AND s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term)
) AS rank from scores s, student w  WHERE s.admissionno = w.admissionno AND   s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term order by s.total desc ' ;    **/



	
	     $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		
	    return $statement;   
		
		 parent::DisConnect( $MySQLiconn); 
		 
	  }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		}
		
		

public function selectMaxTotalFromScores($year,$term,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(total) as max_mark from scores WHERE class = :class AND year = :year AND subject = :subject AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function selectMinTotalFromScores($year,$term,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(total) as min_mark from scores WHERE class = :class AND year = :year AND subject = :subject AND term = :term AND total > 0 ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		  $statement->bindValue(':subject', $subject);

		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
	
	public function selectAvgTotalFromScores($year,$term,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(total) as avg_mark from scores WHERE class = :class AND year = :year AND subject = :subject AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}
		
	
	 public function viewMasterSheet($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s.BASIC_SCIENCE_TECHNOLOGY,s.PREVOCATIONAL_STUDIES,s.RELIGIOUS_NATIONAL_VALUES,s.HAND_WRITING,
				s.FRENCH,s.GENERAL_PAPER,s.CULTURAL_CREATIVE_ART, w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class FROM mastersheet s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   } 
		   

      
	     
		 
        
     public function updateTotalMastersheet($masterid,$total,$avg,$year1,$nostudent){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE mastersheet SET total = :total, avg = :avg, nostudent = :nostudent, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	   $statement->bindValue(':nostudent',$nostudent);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}

	
		
		

	public function updatePositionMastersheet($masterid,$position){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE mastersheet set position = :position WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':position', $position);
		
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}		
		   	 
	
	
	
			
		
		
		
		
  
   public function StudentScoresViaMasteridException($masterid){
		  
		  
		
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject <> 'PHONICS' AND subject <> 'ENGLISH_STUDIES' AND subject <> 'VERBAL_REASONING'  AND subject <> 'LITERATURE_ENGLISH' AND subject   <> 'CRS_IRS'  AND subject <> 'SOCIAL_STUDIES' AND subject <> 'CIVIC_EDUCATION' AND subject <> 'SECURITY_EDUCATION' AND subject <> 'HOME_ECONOMICS'
	   AND subject <> 'VOCATIONAL_APTITUDE'  AND subject <> 'AGRICULTURE'  AND subject <> 'ENTREPRENEURSHIP' 
	   AND subject <> 'QUANTITATIVE_REASONING'  AND subject <> 'MATHEMATICS' AND subject <> 'BASIC_SCIENCE' 
	   AND subject <> 'PHYSICAL_HEALTH_EDU' AND subject <> 'COMPUTER_STUDIES_ICT' AND subject <> 'BASIC_TECHNOLOGY'   ";
	  
	  

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
		   

  public function initializeScoresAnnual($scoresid,$subject,$year,$term,$class1,$admissionno,$masterid,$class2){
	 $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
	 $sql = 'INSERT into scores2 (scoresid,subject,year,term,class,admissionno,masterid,class2)
	 VALUES(:scoresid, :subject, :year, :term, :class,:admissionno, :masterid,:class2)';
	 
	// year
	 
	 $statement = $MySQLiconn->prepare($sql);
	 
	 $statement->bindValue(':scoresid',$scoresid); 
	 $statement->bindValue(':subject',$subject); 
	 $statement->bindValue(':year',$year); 
	  $statement->bindValue(':term',$term); 
	 $statement->bindValue(':class',$class1); 
	 $statement->bindValue(':admissionno',$admissionno); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':class2',$class2);  	
	   $statement->execute(); 
	    
	parent::DisConnect( $MySQLiconn);	 
	 }
	 
	catch(Exception $e){
		//echo "oops! ".$e->getMessage(); 
			
			}    
	 
	 
	 }  
	 
	 

  
  
   		   
    
	  public function updateScoresFirst($scoresid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET totalfirst = :total WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	  
	  
	  
	   public function updateScoresSecond($scoresid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET totalsecond = :total WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		
		 public function updateScoresThird($scoresid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET totalthird = :total WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 } 	 
		 
		 

	
	
		
		
		
												 
		 		
		
		
	
	
	
	 public function viewStudentScoresViaMasterid($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores WHERE masterid = :masterid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
		   
	
	public function deleteFromScores($scoresid)	 
	{
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'Delete from scores WHERE scoresid = :scoresid';
	   
	   $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':scoresid',$scoresid); 
        $statement->execute();
		
	   
		 parent::DisConnect( $MySQLiconn); 
		
		}  
					
			 
	
	 
	 public function initializeMastersenior($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into mastersenior (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
	  
	  
	   public function initializeMasterseniorAnnual($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masterseniorannual  (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	
	
	 public function viewMasterSheetSenior($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_LANGUAGE,s.PHYSICS,s.CHEMISTRY,
				s.ECONOMICS,
				s.AGRIC_SCIENCE,s.GEOGRAPHY,s.GOVERNMENT,s.ACCOUNT,s.BIOLOGY,
				s.COMMERCE,s.NIGERIAN_LANGUAGE,s.COMPUTER_STUDIES,s.CRS,s.avg, s.HOME_MANAGEMENT,s.FURTHER_MATHEMATICS,s.TRADE,s.LITERATURE_IN_ENGLISH,s.FRENCH_LANGUAGE,s.CIVIC_EDUCATION,s.MARKETING,s.FISHERIES, s.TECHNICAL_DRAWING,s.HISTORY,s.FOOD_AND_NUTRITION,s.FINE_AND_APPLIED_ARTS,w.lname,w.fname,w.admissionno,s.total,s.avg,s.masterid,s.class FROM mastersenior s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.avg DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   } 
		   
		   
		   
	
	public function updateTotalMasterSenior($masterid,$total,$avg,$year1,$nostudent){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE mastersenior SET total = :total, avg = :avg, nostudent = :nostudent, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	   $statement->bindValue(':nostudent',$nostudent);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
			   
		   
	
	 public function viewNumberOfSubjectsViaMasterid($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores WHERE masterid = :masterid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
		return $statement->rowCount();
	
		
	  //  return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }  
	  	      
			
	
	 public function updateMasterSeniorAnnualFirst($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterseniorannual SET  totalfirst =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    		 $statement->bindValue(':a1',$a1);
				  $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
		
		
												 
		 		
		
		public function updateMasterSeniorAnnualSecond($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterseniorannual SET  totalsecond =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
		
		
		 public function updateMasterSeniorAnnualThird($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterseniorannual SET  totalthird =  ".$total.",a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}				
	
	
public function updatePositionMasterSheetSenior($masterid,$position,$remarks,$nostudent,$grade,$date){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE mastersenior set position = :position,remarks = :remarks, nostudent = :nostudent, grade = :grade, date = :date WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':position', $position);
		$statement->bindValue(':remarks', $remarks);
		$statement->bindValue(':nostudent', $nostudent);
			$statement->bindValue(':grade', $grade);
				$statement->bindValue(':date', $date);
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}		
	
				
				
				    
			
			
public function viewPositionsAndAddRemarksMasterSheetSenior($class,$year,$term){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.MATHEMATICS,s.ENGLISH_LANGUAGE,s.PHYSICS,s.CHEMISTRY,
				s.ECONOMICS,
				s.AGRIC_SCIENCE,s.GEOGRAPHY,s.GOVERNMENT,s.ACCOUNT,s.BIOLOGY,
				s.COMMERCE,s.NIGERIAN_LANGUAGE,s.COMPUTER_STUDIES,s.CRS,s.avg, s.HOME_MANAGEMENT,s.FURTHER_MATHEMATICS,s.TRADE,s.LITERATURE_IN_ENGLISH,s.FRENCH_LANGUAGE,s.CIVIC_EDUCATION,s.MARKETING,s.FISHERIES, s.TECHNICAL_DRAWING,s.HISTORY,w.lname,w.fname,w.admissionno,s.total,s.status1,s.masterid,s.class,s.avg, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg ORDER BY s.avg DESC )
FROM mastersenior s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.term = :term)
) AS rank from mastersenior s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND  s.term = :term order by s.total desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	$statement->bindValue(':term', $term);
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }		
	
	
	
			


public function selectMastersheetForResultSenior($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from mastersenior WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		$this->nt1 = $row['nt'];
		$this->note1 = $row['note'];
		$this->nob1 = $row['nob'];
		$this->ne1 = $row['ne'];
		$this->not1 = $row['not'];
		$this->notp1 = $row['notp'];
		$this->hs = $row['hs'];
		$this->fm = $row['fm'];
		$this->pc = $row['pc'];
		$this->position = $row['position'];
		
		$this->ENGLISH_STUDIES = $row['ENGLISH_LANGUAGE'];
		
		$this->MATHEMATICS =  $row['MATHEMATICS'];
		$this->BIOLOGY = $row['BIOLOGY']; 
		$this ->CHEMISTRY = $row['CHEMISTRY']; 
		$this->ECONOMICS =  $row['ECONOMICS'];
		$this->AGRIC_SCIENCE = $row['AGRIC_SCIENCE'];  
		$this->GEOGRAPHY = $row['GEOGRAPHY'];  
		$this->GOVERNMENT = $row['GOVERNMENT'];  
		$this->PHYSICS = $row['PHYSICS'];
		$this->ACCOUNT = $row['ACCOUNT'];
	$this->COMMERCE =  $row['COMMERCE']; 
	$this->HAUSA =  $row['NIGERIAN_LANGUAGE']; 
	$this->DATA_PROCESSING =  $row['COMPUTER_STUDIES']; 
	 $this->HOME_MANAGEMENT  = $row['HOME_MANAGEMENT']; 
	 $this->FURTHER_MATHEMATICS = $row['FURTHER_MATHEMATICS']; 
	 $this->BASIC_ELECTRICITY = $row['TRADE'];
	 $this->LITERATURE_IN_ENGLISH =  $row['LITERATURE_IN_ENGLISH']; 
	 $this->FRENCH = $row['FRENCH_LANGUAGE'];  
	 $this->CRS = $row['CRS']; 
	 $this->CIVIC_EDUCATION =  $row['CIVIC_EDUCATION']; 
	 $this->STORE_MANAGEMENT = $row['MARKETING'];
	 $this->TECHNICAL_DRAWING =  $row['TECHNICAL_DRAWING']; 
	 $this->FISHERIES =  $row['FISHERIES']; 	
		
		$this->total= $row['total'];
		$this->grade = $row['grade'];
		$this->remarks = $row['remarks'];
		$this->date = $row['date'];
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	
	
	
	
	
		
		
		
		
		
		
		
			
			
	public function checkMasteridMastersheetSenior($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from mastersenior WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	
				
	 
 
	public function updateMasterSenior($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE mastersenior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
		
		
		
				
		
		
		
		
		
		
		
		
		
		
	
			 
	 
	
	 public function initializeMasterJuniorTotal($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masterjuniortotal (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 	
	  
	 
	 
	 public function updateMasterJuniorTotal($masterid, $subject,$total){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniortotal SET  ".$subject." =  ".$total."  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		}	
	 
	 
	 
	 
	  
	
	public function initializePrimaryJbst($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jbst (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	
	public function initializePrimaryJrve($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jrve (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	
	
	
	  

public function initializePrimaryJpvs($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jpvs (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	
	
	
	  
public function initializeMasterjuniorAnnual($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masterjuniorannual  (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	  
	 
	 public function updateJBST($masterid, $subject,$total,$total2){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE jbst SET  ".$subject." =  ".$total." , total =:total2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':total2',$total2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		} 
		
		
	
	  public function updateJPVS($masterid, $subject,$total,$total2){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE jpvs SET  ".$subject." =  ".$total." , total =:total2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':total2',$total2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		} 
		
	
	 public function updateJRVE($masterid, $subject,$total,$total2){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE jrve SET  ".$subject." =  ".$total." , total =:total2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':total2',$total2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		} 			
	  
	 
	 public function initializeJBst($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jbst (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	  
   public function initializeJPVS($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jpvs (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	  
   
    public function initializeJRVE($masterid,$year,$term,$class,$admissionno,$total){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into jrve (masterid,year,term,class,admissionno,total) VALUES (:masterid,:year, :term, :class, :admissionno, :total)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':total',$total);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
  
  
  
    
	public function selectJBstScores($year,$term,$class){
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			$sql = 'SELECT s.masterid, w.admissionno, w.lname, w.fname,s.BASIC_SCIENCE,s.BASIC_TECHNOLOGY,s.PHYSICAL_HEALTH_EDU,s.COMPUTER_STUDIES,s.total, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM jbst s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND  s.term = :term)
) AS rank from jbst s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  AND s.term = :term order by s.total desc ' ;    

		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':year',$year);
	   $statement->bindValue(':term',$term);
	    $statement->bindValue(':class',$class);
		$statement->execute();	
			
		 return $statement;	
		parent::DisConnect( $MySQLiconn);	
			}
			
   
  	
  public function selectJPvsScores($year,$term,$class){
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			$sql = 'SELECT s.masterid, w.admissionno, w.lname, w.fname,s.AGRIC_SCIENCE,s.HOME_ECONS,s.ENTREPRENEURSHIP,s.total, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM jpvs s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND  s.term = :term)
) AS rank from jpvs s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  AND s.term = :term order by s.total desc ' ;    

		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':year',$year);
	   $statement->bindValue(':term',$term);
	    $statement->bindValue(':class',$class);
		$statement->execute();	
			
		 return $statement;	
		parent::DisConnect( $MySQLiconn);	
			}
			
   	
	
	  
 public function selectJRVEScores($year,$term,$class){
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
			
			$sql = 'SELECT s.masterid, w.admissionno, w.lname, w.fname,s.SOCIAL_STUDIES,s.CIVIC_EDUCATION
			,s.SECURITY_EDUCATION,s.total, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM jrve s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND  s.term = :term)
) AS rank from jrve s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  AND s.term = :term order by s.total desc ' ;    

		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':year',$year);
	   $statement->bindValue(':term',$term);
	    $statement->bindValue(':class',$class);
		$statement->execute();	
			
		 return $statement;	
		parent::DisConnect( $MySQLiconn);	
			}
			
   		  
	 
	
	 public function selectFromJBstWithMasterid($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   $sql = 'SELECT * from jbst WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	   
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->jbasic = $row['BASIC_SCIENCE']; 
		$this->jphe = $row['PHYSICAL_HEALTH_EDU'];
		$this->jcmp = $row['COMPUTER_STUDIES'];
		$this->jbts = $row['BASIC_TECHNOLOGY'];
		$this->jtotalbst = $row['total'];
		//$this->ftest = $row['ftest'];
		//$this->exam = $row['exam'];
		$this->position = $row['position'];
		$this->hfc =    $row['hfc'];
		$this->lfc =    $row['lfc'];
		$this->cavg =   $row['cavg'];
		$this->remarks = $row['remarks'];
		$this->grade =   $row['grade'];
		
		
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		
		
		public function selectFromJPVSWithMasterid($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   $sql = 'SELECT * from jpvs WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	   
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->jagric = $row['AGRIC_SCIENCE']; 
		$this->jhome = $row['HOME_ECONS'];
		$this->jenter = $row['ENTREPRENEURSHIP'];
		
		$this->jpvstotal = $row['total'];
		//$this->ftest = $row['ftest'];
		//$this->exam = $row['exam'];
		$this->position = $row['position'];
		$this->hfc =    $row['hfc'];
		$this->lfc =    $row['lfc'];
		$this->cavg =   $row['cavg'];
		$this->remarks = $row['remarks'];
		$this->grade =   $row['grade'];
		
		
		 parent::DisConnect( $MySQLiconn);  
		 }	
		
	
	public function selectFromJRVESWithMasterid($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   $sql = 'SELECT * from jrve WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	   
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		 
		$this->jsocial = $row['SOCIAL_STUDIES'];
		$this->jcivic = $row['CIVIC_EDUCATION'];
		$this->jsec = $row['SECURITY_EDUCATION'];
		$this->jtotal = $row['total'];
		//$this->ftest = $row['ftest'];
		//$this->exam = $row['exam'];
		$this->position = $row['position'];
		$this->hfc =    $row['hfc'];
		$this->lfc =    $row['lfc'];
		$this->cavg =   $row['cavg'];
		$this->remarks = $row['remarks'];
		$this->grade =   $row['grade'];
		
		
		 parent::DisConnect( $MySQLiconn);  
		 }		 
		 
	
	
	 public function viewMasterJuniorTotal($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s.BASIC_SCIENCE_AND_TECHNOLOGY,s.PRE_VOCATIONAL_STUDIES,s.NATIONAL_VALUES,s.CRS,s.NIGERIAN_LANGUAGE,s.FRENCH_LANGUAGE,s.CULTURAL_AND_CREATIVE_ARTS,s.BUSINESS_STUDIES,s.HISTORY, w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class,s.avg FROM masterjuniortotal s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   } 
		   

      public function viewPositionsAndAddRemarksMasterJuniorTotal($class,$year,$term){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s.BASIC_SCIENCE_AND_TECHNOLOGY,s.PRE_VOCATIONAL_STUDIES,s.NATIONAL_VALUES,s.NIGERIAN_LANGUAGE,s.FRENCH_LANGUAGE,s.CULTURAL_AND_CREATIVE_ARTS,s.BUSINESS_STUDIES,s.CRS,s.HISTORY,w.lname,w.fname,s.status1,w.admissionno,s.total,s.avg,s.masterid,s.class, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total ORDER BY s.total DESC )
FROM masterjuniortotal s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.term = :term)
) AS rank from masterjuniortotal s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND  s.term = :term order by s.total desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	$statement->bindValue(':term', $term);
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }

	
	  

   public function updateTotalMasterjunior($masterid,$total,$avg,$year1,$nostudent){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE masterjuniortotal SET total = :total, avg = :avg, nostudent = :nostudent, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	   $statement->bindValue(':nostudent',$nostudent);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
		
	
		public function updatePositionMasterJuniorTotal($masterid,$position,$remarks,$nostudent,$grade,$date){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE masterjuniortotal set position = :position,nostudent = :nostudent,remarks = :remarks, grade = :grade, date = :date WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':position', $position);
		$statement->bindValue(':nostudent', $nostudent);
		$statement->bindValue(':remarks', $remarks);
			$statement->bindValue(':grade', $grade);
			$statement->bindValue(':date', $date);	
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}	
		
		
public function updateJuniorAnnualFirst($masterid, $total,$a1,$totalavg1){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniorannual SET  totalfirst =  ".$total.", a1 = :a1,totalavg1 = :totalavg1 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':totalavg1',$totalavg1);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
	 public function updateJuniorAnnualSecond($masterid, $total,$a2,$totalavg2){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniorannual SET  totalsecond =  ".$total." , a2 = :a2,totalavg2 = :totalavg2 WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':a2',$a2);
		$statement->bindValue(':totalavg2',$totalavg2);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
		
		
		 public function updateJuniorAnnualThird($masterid, $total, $a3,$totalavg3){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniorannual SET  totalthird =  ".$total." , a3 = :a3,totalavg3 = :totalavg3  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a3',$a3);
	   $statement->bindValue(':totalavg3',$totalavg3);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
		
		
	
	public function updateMasterSheet($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE mastersheet SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
	
	





public function viewMasterSheetGrade($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s. 	BASIC_SCIENCE_AND_TECHNOLOGY,s.HAND_WRITING,s.LITERATURE_IN_ENGLISH,s.P_H_E,
				s.COMPUTER_STUDIES,s.VOCATIONAL_APTITUDE,s.SOCIAL_STUDIES,s.QUANTITATIVE_REASONING,s.VERBAL_REASONING,s.CRS_IRS,s.CRS_IRS,s.FRENCH,s.CULTURAL_CREATIVE_ART,s.HOME_ECONOMICS,s.CIVIC_EDUCATION,s.AGRIC_SCIENCE, w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class FROM mastersheet s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }   
	  
	
	
	
	
	
	public function viewPositionsAndAddRemarksMasterSheetGrade($class,$year,$term){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.MATHEMATICS,s.ENGLISH_STUDIES,s. 	BASIC_SCIENCE_AND_TECHNOLOGY,s.HAND_WRITING,s.LITERATURE_IN_ENGLISH,s.P_H_E,
				s.COMPUTER_STUDIES,s.VOCATIONAL_APTITUDE,s.SOCIAL_STUDIES,s.QUANTITATIVE_REASONING,s.VERBAL_REASONING,s.CRS_IRS,s.FRENCH,s.CULTURAL_CREATIVE_ART,s.HOME_ECONOMICS,s.CIVIC_EDUCATION,s.AGRIC_SCIENCE,  w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class,s.avg, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total ORDER BY s.total DESC )
FROM mastersheet s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.term = :term)
) AS rank from mastersheet s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND  s.term = :term order by s.total desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	$statement->bindValue(':term', $term);
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }		
	

	
	
	  
	  
	   public function AddRemarksToMasterTrans($masterid,$nt,$ne,$hs,$fm){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'UPDATE masterplay set  nt = :nt, ne = :ne,  hs = :hs, fm = :fm WHERE masterid = :masterid ';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		
		 $statement->bindValue(':nt',$nt);
		 $statement->bindValue(':ne',$ne);
		 
		 $statement->bindValue(':hs',$hs);
		 $statement->bindValue(':fm',$fm);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	 
		   	
	
	
	// ////// FOR MASTER NURSERY 1
	
	
	 public function initializeMasterNursery1($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masternursery1 (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	  
	
	
	 public function initializeMasterNursery1Annual($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masternursery1annual  (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	  
	  
	
	
	
	 public function updateMasterNursery1($masterid, $subject,$total){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery1 SET  ".$subject." =  ".$total."  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		}	 
	  
	  
	  
	
	  public function viewMasterNursery1($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.BASIC_SCIENCE,s.COMPUTER,s.CREATIVE_ART,s.CRS_OR_IRS,s.HAND_WRITING,s.LITERACY,
				s.NUMERACY,s.P_H_E,s.RHYMES,s.SOCIAL_NORMS,s.STORY_TELLING, w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class FROM masternursery1 s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }   
	  
	
	
	  
	

 
      public function updateTotalMasterNursery1($masterid,$total,$avg,$year1,$nostudent){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE masternursery1 SET total = :total, avg = :avg, nostudent = :nostudent, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	   $statement->bindValue(':nostudent',$nostudent);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		} 	
		
		
		
		
	
	public function updateMasterNursery1AnnualFirst($masterid, $total, $a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery1annual SET  totalfirst =  ".$total." a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
		
		
												 
		 		
		
		public function updateMasterNursery2AnnualSecond($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery1annual SET  totalsecond =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
		
		
		 public function updateMasterNurseryAnnualThird($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery1annual SET  totalthird =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}					
		
		
		
	
	 public function viewPositionsAndAddRemarksMasterNursery1($class,$year,$term){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.BASIC_SCIENCE,s.COMPUTER,s.CREATIVE_ART,s.CRS_OR_IRS,s.HAND_WRITING,s.LITERACY,
				s.NUMERACY,s.P_H_E,s.RHYMES,s.SOCIAL_NORMS,s.STORY_TELLING,w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class,s.avg, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total ORDER BY s.total DESC )
FROM masternursery1 s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.term = :term)
) AS rank from masternursery1 s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND  s.term = :term order by s.total desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	$statement->bindValue(':term', $term);
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }
			 
	
		public function updatePositionMasterNursery1($masterid,$position){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE masternursery1 set position = :position WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':position', $position);
		
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}	
			
	
	 
	
	public function selectMasterNursery1ForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery1 WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
	   parent::DisConnect( $MySQLiconn); 
		}	 
	 
	 			   	
	 public function checkMasteridNursery1($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery1 WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	
			
			
	
	
	
	
	
	
	
	
	// ////// FOR MASTER NURSERY 2
	
	
	 public function initializeMasterNursery2($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masternursery2 (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		  $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	
	  
	  
	
	
	 public function initializeMasterNursery2Annual($masterid,$year,$term,$class,$admissionno,$class2){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into masternursery2annual  (masterid,year,term,class,admissionno,class2) VALUES (:masterid,:year, :term, :class, :admissionno,:class2)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->bindValue(':class2',$class2);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }	  
	  
	
	
	
	 public function updateMasterNursery2($masterid, $subject,$total){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery2 SET  ".$subject." =  ".$total."  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		}	 
	  
	  
	  
	
	  public function viewMasterNursery2($year,$term,$class){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				
				
				$sql = 'SELECT s.AGRIC_SCIENCE,s.COMPUTER_STUDIES,s.CRS_OR_IRS,s.ENGLISH,s.FINE_ART,s.MATHEMATICS,
				s.NURSERY_SCIENCE,s.P_H_E,s.QUANTITATIVE_REASONING,s.RHYME,s.SOCIAL_HABITS,s.STORY_TELLING,s.VERBAL_REASONING,s.VOCATIONAL_STUDIES,w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class FROM masternursery2 s INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.year =:year AND s.term = :term AND s.class = :class ORDER BY s.total DESC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	 
		$statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }   
	  
	
	
	  
	

 
      public function updateTotalMasterNursery2($masterid,$total,$avg,$year1,$nostudent){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	 // $sql = "UPDATE masterjunior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
	  
	  $sql = 'UPDATE masternursery2 SET total = :total, avg = :avg, nostudent = :nostudent, year1 = :year1 where masterid = :masterid';
	  
	  
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':total',$total);
	   $statement->bindValue(':avg',$avg);
	   $statement->bindValue(':year1',$year1);
	   $statement->bindValue(':nostudent',$nostudent);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		} 	
		
		
		
		
	
	public function updateMasterNursery2AnnualFirst($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery2annual SET  totalfirst =  ".$total.",a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
		
		
												 
		 		
		
		public function updateMasterNursery3AnnualSecond($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery2annual SET  totalsecond =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}
		
		
		 public function updateMasterNursery2AnnualThird($masterid, $total,$a1,$avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery2annual SET  totalthird =  ".$total.", a1 = :a1, avg = :avg WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	   $statement->bindValue(':a1',$a1);
	   $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}					
		
		
		
	
	 public function viewPositionsAndAddRemarksMasterNursery2($class,$year,$term){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.AGRIC_SCIENCE,s.COMPUTER_STUDIES,s.CRS_OR_IRS,s.ENGLISH,s.FINE_ART,s.MATHEMATICS,
				s.NURSERY_SCIENCE,s.P_H_E,s.QUANTITATIVE_REASONING,s.RHYME,s.SOCIAL_HABITS,s.STORY_TELLING,s.VERBAL_REASONING,s.VOCATIONAL_STUDIES,w.lname,w.fname,w.admissionno,s.total,s.masterid,s.class,s.avg, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total ORDER BY s.total DESC )
FROM masternursery2 s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.term = :term)
) AS rank from masternursery2 s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND  s.term = :term order by s.total desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    	$statement->bindValue(':term', $term);
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }
			 
	
		public function updatePositionMasterNursery2($masterid,$position){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE masternursery2 set position = :position WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':position', $position);
		
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}	
			
	
	 
	
	public function selectMasterNursery2ForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery2 WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
	   parent::DisConnect( $MySQLiconn); 
		}	 
	 
	 			   	
	 public function checkMasteridNursery2($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery2 WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	
			
			
	
	
	public function updateScores2Total($scoresid,$total){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET total = :total WHERE scoresid = :scoresid';
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':total',$total);
	   $statement->execute();
		 parent::DisConnect( $MySQLiconn); 
		}
	
	
	
	
	
	
	  public function viewAllScores2ByScoresId($scoresid){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT *
                FROM  scores2  where scoresid = :scoresid';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':scoresid', $scoresid);
        $statement->execute();
		
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->totalfirst = $row['totalfirst']; 
		$this->totalsecond = $row['totalsecond']; 
		$this->totalthird = $row['totalthird'];
		$this->totalall = $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
	  
	   
		 parent::DisConnect( $MySQLiconn);  
		   }
	
	
	 
	 public function updateScoresForMastersheetJBST($masterid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE jbst SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
	
	
	 public function updateScoresForMastersheetJPVS($masterid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE jpvs SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
	

 public function updateScoresForMastersheetJRVE($masterid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE jrve SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }		    
	 
	 
	
	
	
	public function selectMaxTotalFromScoresJRVE($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(total) as max_mark from jrve WHERE class = :class AND year = :year AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function selectMinTotalFromScoresJRVE($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(total) as min_mark from jrve WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
	
	
	public function selectMaxTotalFromScoresJPVS($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(total) as max_mark from jpvs WHERE class = :class AND year = :year AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function selectMinTotalFromScoresJPVS($year,$term,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(total) as min_mark from jpvs WHERE class = :class AND year = :year  AND term = :term ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		$statement->bindValue(':term', $term);
		 
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
	
	
	
	
	public function selectMasterJunirTotalForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterjuniortotal WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->nt = $row['nt'];
		
		$this->ne = $row['ne'];
		
		$this->hs = $row['hs'];
		$this->fm = $row['fm'];
		

                   $this->not1 = $row['not'];
		$this->notp1 = $row['notp'];
                $this->note1 = $row['note'];
		$this->nob1 = $row['nob'];
			$this->grade = $row['grade'];
				$this->remarks = $row['remarks'];
			$this->date = $row['date'];
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	
	
	 public function checkMasteridTotal($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterjuniortotal WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	 public function StudentScoresViaMasteridExceptionJunior($masterid){
		  
		  
		
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject <> 'COMPUTER_STUDIES' AND subject <> 'BASIC_SCIENCE' AND subject <> 'SOCIAL_STUDIES'  AND subject <> 'AGRIC_SCIENCE'   AND subject <> 'CIVIC_EDUCATION' AND subject <> 'SECURITY_EDUCATION' AND subject <> 'HOME_ECONS'
	   AND subject <> 'PHYSICAL_HEALTH_EDU'   AND subject <> 'ENTREPRENEURSHIP' 
	    AND subject <> 'BASIC_TECHNOLOGY'   ";
	  
	  

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
	
	 
	  public function computeSubjectPositionsScores2($year,$subject,$class) {
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  try{ 
	
	
$sql = 'SELECT s.masterid,s.scoresid, w.admissionno, w.lname, w.fname,s.totalfirst,s.totalsecond,s.totalthird,s.class,s.total,s.avg, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg
ORDER BY s.avg DESC )
FROM scores2 s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.subject = :subject)
) AS rank from scores2 s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND s.subject = :subject  order by s.total desc ' ;    

//the query commented below also works but it is old method, The above query is ANSI method
/**$sql = 'SELECT s.masterid,s.scoresid, w.admissionno, w.lname, w.fname,s.ftest,s.stest,s.ttest,s.fitest,s.exam,s.total,s.grade,s.affective,s.psycho, FIND_IN_SET( s.total, (
SELECT GROUP_CONCAT( s.total
ORDER BY s.total DESC )
FROM scores s,  student w   WHERE s.admissionno = w.admissionno AND s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term)
) AS rank from scores s, student w  WHERE s.admissionno = w.admissionno AND   s.class = :class AND s.year = :year AND s.subject = :subject AND s.term = :term order by s.total desc ' ;    **/



	
	     $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		
	    return $statement;   
		
		 parent::DisConnect( $MySQLiconn); 
		 
	  }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		}
		
		

public function selectMaxTotalFromScores2($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(total) as max_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
		
	public function selectMinTotalFromScores2($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(total) as min_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
		
		
	
	public function selectAvgTotalFromScores2($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(total) as avg_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject  ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}
	
	  	   
		   
	
	public function updateCountFirst($scoresid,$a1){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET a1 = :a1 WHERE scoresid = :scoresid';
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':a1',$a1);
	   $statement->execute();
		 parent::DisConnect( $MySQLiconn); 
		}
	
	
	public function updateCountSecond($scoresid,$a2){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET a2 = :a2 WHERE scoresid = :scoresid';
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':a2',$a2);
	   $statement->execute();
		 parent::DisConnect( $MySQLiconn); 
		}
	
	
	public function updateCountThird($scoresid,$a3){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET a3 = :a3 WHERE scoresid = :scoresid';
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':a3',$a3);
	   $statement->execute();
		 parent::DisConnect( $MySQLiconn); 
		}	  
		
		
		 
	
	public function updateAverage($scoresid,$avg){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET avg = :avg WHERE scoresid = :scoresid';
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':avg',$avg);
	   $statement->execute();
		 parent::DisConnect( $MySQLiconn); 
		}	 
	
	
	
	   public function updateScoresForCummulative($scoresid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
	
	
	
	
	public function selectMasterJuniorTotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterjuniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	
	
	
	 public function updateJuniorAnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniorannual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		



  public function viewYearlyPositinAndAddRemarks($class,$year){
			   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   try{
	   $sql = 'SELECT s.totalfirst,s.totalsecond,s.totalthird,w.lname,w.fname,w.admissionno,s.total,s.avg,s.masterid,s.class, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg ORDER BY s.avg DESC )
FROM masterjuniorannual s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year )
) AS rank FROM masterjuniorannual s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year  order by s.avg desc ' ;  
	   
	   
	   $statement = $MySQLiconn->prepare($sql);
         $statement->bindValue(':class', $class);
	    
		$statement->bindValue(':year', $year);
        $statement->execute();
	   
	   return $statement; 
			 
			parent::DisConnect( $MySQLiconn); 
			
			
			 }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
			
			
			 }

	
   
   
   	 public function updateJuniorAnnualPosition($masterid, $position,$grade,$remarks){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE juniorannual SET  position =  :position,grade = :grade,remarks = :remarks WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':position',$position);
		$statement->bindValue(':grade',$grade);
		$statement->bindValue(':remarks',$remarks);
	
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
	
	
	
	
	 public function checkMasteridTotalAnnual($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterjuniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	 public function viewStudentScoresViaMasterid2($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores2 WHERE masterid = :masterid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
		 
		 public function viewScores2ViaMasterException($masterid){
			
			
			
			 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores2 WHERE masterid = :masterid AND subject <> 'COMPUTER_STUDIES' AND subject <> 'BASIC_SCIENCE' AND subject <> 'SOCIAL_STUDIES'  AND subject <> 'AGRIC_SCIENCE'   AND subject <> 'CIVIC_EDUCATION' AND subject <> 'SECURITY_EDUCATION' AND subject <> 'HOME_ECONS'
	   AND subject <> 'PHYSICAL_HEALTH_EDU'   AND subject <> 'ENTREPRENEURSHIP' 
	    AND subject <> 'BASIC_TECHNOLOGY'   ";
	  
	  

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
			
			
			
			
			 
			 
			 }
			 
			 
		
	public function selectMasterSeniorTotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterseniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	public function updateSeniorAnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterseniorannual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}		
		


   public function selectMasterNursery2TotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery2annual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	 public function updateNursery2AnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery2annual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
	
	
	
	 public function selectMasterNursery1TotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masternursery1annual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	 public function updateNursery1AnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masternursery1annual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
	
	
	
	
	 public function selectMasterTransTotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from masterplayannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	 public function updateTransAnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterplayannual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}			
			 
		   		 
	
	
	 public function selectMasterSheetTotalAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from mastersheetannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		
		$this->avg = $row['avg'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->a1 = $row['a1'];
		$this->a2 = $row['a2'];
		$this->a3 = $row['a3'];
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
		$this->totalavg1 = $row['totalavg1'];
		$this->totalavg2 = $row['totalavg2'];
		$this->totalavg3 =  $row['totalavg3'];
		$this->remarks = $row['remarks'];
		
		
		
		
	   parent::DisConnect( $MySQLiconn); 
		}	
		   
	 		 
	
	
	 public function updateMasterSheetAnnualAverage($masterid, $avg){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE mastersheetannual SET  avg =  :avg  WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	    $statement->bindValue(':avg',$avg);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	

        
        public function updatePositionAverageMasterSheetSenior($masterid,$avg){
			  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	     $sql = 'UPDATE mastersenior set avg = :avg WHERE masterid = :masterid';
	    $statement = $MySQLiconn->prepare($sql);
	   
	    $statement->bindValue(':masterid', $masterid);
	    
		$statement->bindValue(':avg', $avg);
		
         $statement->execute();
	
	      parent::DisConnect( $MySQLiconn); 
			
			}	
	
		   		 
		
	
	
	public function selectSubjectForResultSenior($masterid){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "SELECT * from mastersenior    WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		return $statement;
		parent::DisConnect( $MySQLiconn);
	   
	}


   public function updateMasterSeniorTotal1($masterid,$total){
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE  mastersenior  SET total = :total   WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
	     $statement->bindValue(':total',$total);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
	   
	}
		
		
		
		public function viewAllScoresBySessionAndClassAndSubjectAnnual($class,$subject,$year){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.class,s.total,s.scoresid,s.totalfirst,s.totalsecond,s.totalthird,
				 w.lname,w.fname,w.admissionno,w.othernames
                FROM  scores2 s   INNER JOIN student w ON s.admissionno = w.admissionno where s.class = :class AND s.subject = :subject
				AND s.year = :year  order by w.lname ASC';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':class', $class);
	    $statement->bindValue(':subject', $subject);
		$statement->bindValue(':year', $year);
		
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	   
	 
	 
	  public function viewAllScoresByScoresIdAnnual($scoresid){
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        
				
				 $sql = 'SELECT s.class,s.total,s.scoresid,s.totalfirst,s.totalsecond,s.totalthird,s.subject,
				 w.lname,w.fname,w.admissionno,w.othernames
                FROM  scores2 s   INNER JOIN student w ON s.admissionno = w.admissionno where s.scoresid = :scoresid';

        $statement = $MySQLiconn->prepare($sql);
		
       $statement->bindValue(':scoresid', $scoresid);
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn);  
		   }	
	 
	 
	 	public function updateScoresAnnual($scoresid,$totalfirst,$totalsecond,$totalthird,$total,$avg){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET totalfirst = :totalfirst, totalsecond = :totalsecond,totalthird = :totalthird,  
	   total = :total,  avg = :avg WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	   $statement->bindValue(':totalfirst',$totalfirst);
	$statement->bindValue(':totalsecond',$totalsecond);
	$statement->bindValue(':totalthird',$totalthird); 
	;
	$statement->bindValue(':avg',$avg);
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	 	
	 
	
	
	public function initializeJuniorAnnual2($masterid,$year,$term,$class,$admissionno){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into juniorannual  (masterid,year,term,class,admissionno) VALUES (:masterid,:year, :term, :class, :admissionno)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }		     
			 	
	
		    public function initializeSeniorAnnual2($masterid,$year,$term,$class,$admissionno){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into seniorannual  (masterid,year,term,class,admissionno) VALUES (:masterid,:year, :term, :class, :admissionno)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':year',$year);
		 $statement->bindValue(':term',$term);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }		  		
	


  public function getScoresAnnualSubjectViaID($scoresid,$subject){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from scores2 WHERE scoresid = :scoresid AND subject = :subject';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':subject',$subject);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->totalfirst = $row['totalfirst']; 
		$this->totalsecond = $row['totalsecond']; 
		$this->totalthird = $row['totalthird'];
		
		$this->avg = $row['avg'];
		
		$this->total= $row['total'];
	   parent::DisConnect( $MySQLiconn); 
		}		
	
	
	 public function updateScoresAnnualTotal($scoresid,$total,$avg){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET total = :total, avg = :avg WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':avg',$avg);
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
	
		 } 	
		 
		 public function updateJuniorAnnual($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE juniorannual SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
	
	
	 public function computeSubjectPositionsAnnual($year,$subject,$class) {
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	  try{ 
	
	
$sql = 'SELECT s.masterid,s.scoresid, w.admissionno, w.lname, w.fname,s.totalfirst,s.totalsecond,s.totalthird,s.total,s.avg, FIND_IN_SET( s.avg, (
SELECT GROUP_CONCAT( s.avg
ORDER BY s.avg DESC )
FROM scores2 s INNER JOIN student w ON s.admissionno = w.admissionno WHERE s.class = :class AND s.year = :year AND s.subject = :subject )
) AS rank from scores2 s  INNER JOIN student w ON s.admissionno = w.admissionno  WHERE s.class = :class AND s.year = :year AND s.subject = :subject  order by s.avg desc ' ;    


	     $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		
	    return $statement;   
		
		 parent::DisConnect( $MySQLiconn); 
		 
	  }
	  
	  catch(Exception $e){
			echo "oops! ".$e->getMessage(); 
			
			} 
		}
  
  
   public function selectMaxTotalFromScoresAnnual($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MAX(avg) as max_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject  ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		 $row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	   $this->maxmark = $row['max_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
  
  public function selectMinTotalFromScoresAnnual($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select MIN(avg) as min_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject and avg > 0  ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
	   // return $statement;  
	    $this->minmark = $row['min_mark']; 
		
		 parent::DisConnect( $MySQLiconn);
		}
  
  
      
	   public function selectAvgTotalFromScoresAnnual($year,$subject,$class){
	$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
		$sql = 'select AVG(avg) as avg_mark from scores2 WHERE class = :class AND year = :year AND subject = :subject ';
		
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':year', $year);
		
		  $statement->bindValue(':subject', $subject);
		   $statement->bindValue(':class', $class);
        $statement->execute();
		$row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->avgmark = $row['avg_mark'];
	 //   return $statement;   
		
		 parent::DisConnect( $MySQLiconn);
		}	
	
	 public function updateScoresForMastersheetAnnual($scoresid,$grade,$position,$hfc,$lfc,$cavg,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET grade = :grade, hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position, remarks = :remarks WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':grade',$grade);
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		 
	  
	   public function updateJuniorTermly($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE  masterjuniortotal SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}		 
	
	
	
	public function selectJunirTotalForResultAnnual($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from juniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		
		$this->position = $row['position'];
		
		$this->totalmaster= $row['total'];
		$this->nt = $row['nt'];
		
		$this->ne = $row['ne'];
		
		$this->hs = $row['hs'];
		$this->fm = $row['fm'];
		

                   $this->not1 = $row['not'];
		$this->notp1 = $row['notp'];
                $this->note1 = $row['note'];
		$this->nob1 = $row['nob'];
		$this->promoted = $row['promoted'];
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	
	
	 public function checkIdTotalAnnual($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from juniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}	 
		 	
   public function viewStudentScoresViaMasteridAnnual($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
        $sql = 'SELECT *
                FROM  scores2 WHERE masterid = :masterid';

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
		   
		   
	   
	    public function updateScoresForMastersheetAnnualGrade($scoresid,$grade,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET grade = :grade, remarks = :remarks WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':grade',$grade);
	  
		$statement->bindValue(':remarks',$remarks);
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }		
		   
	   
	    public function updateScoresForMastersheetAnnualAuto($scoresid,$position,$hfc,$lfc,$cavg){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores2 SET  hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position  WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	   
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	  
	 
	  
	    public function updateSeniorAnnual($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE seniorannual SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
	
	
	
	public function selectMastersheetForResultSeniorAnnual($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from seniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->admissionno = $row['admissionno']; 
		$this->class1 = $row['class']; 
		$this->year = $row['year'];
		$this->term = $row['term'];
		$this->avg = $row['avg'];
		$this->year1 = $row['year1'];
		$this->nostudent = $row['nostudent'];
		
		$this->hs = $row['hs'];
		$this->fm = $row['fm'];
	
		$this->position = $row['position'];
		$this->promoted = $row['promoted'];
		$this->total= $row['total'];
	   parent::DisConnect( $MySQLiconn); 
		}	
		  
	
	
	public function checkMasteridMastersheetSeniorAnnual($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from seniorannual WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $num = $statement->rowCount();
		return $num;
	   parent::DisConnect( $MySQLiconn); 
		}		
		 
	
	 public function updateScoresForMastersheetGrade($scoresid,$grade,$remarks){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores SET grade = :grade, remarks = :remarks WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':grade',$grade);
		 $statement->bindValue(':remarks',$remarks);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
	
	 
	public function getScoresSubjectViaID($scoresid,$subject){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from scores WHERE scoresid = :scoresid AND subject = :subject';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':scoresid',$scoresid);
	    $statement->bindValue(':subject',$subject);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		$this->ftest = $row['ftest']; 
		$this->stest = $row['stest'];
		$this->ttest = $row['ttest']; 
		$this->affective = $row['affective']; 
		
		
		$this->exam = $row['exam'];
		
		$this->total= $row['total'];
	   parent::DisConnect( $MySQLiconn); 
		}	
		
	
	
	  public function updateMasterJuniorAuto($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE masterjuniortotal SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
	
	public function updateMasterSeniorAuto($masterid, $subject, $total){
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   

	  
	  $sql = "UPDATE mastersenior SET  ".$subject." =  ".$total." WHERE masterid = :masterid ";
		 $statement = $MySQLiconn->prepare($sql);
	   $statement->bindValue(':masterid',$masterid);
		$statement->execute();
		
		parent::DisConnect( $MySQLiconn);
		
		}	
		
		
	
	
	
	public function initializeTotals($masterid,$session1,$class,$admissionno){
	  
	  $instance = parent::getInstance();
		// $instance = new DBAccess();
     $MySQLiconn  = $instance->getConnection();
	 
	 try{
		 
		 $sql = 'INSERT into totals  (masterid,session1,class,admissionno) VALUES (:masterid,:session1, :class, :admissionno)';
		 
		 $statement = $MySQLiconn->prepare($sql);
		 $statement->bindValue(':masterid',$masterid);
		 $statement->bindValue(':session1',$session1);
		 $statement->bindValue(':class',$class);
		 $statement->bindValue(':admissionno',$admissionno);
		 $statement->execute();
		 
		  parent::DisConnect( $MySQLiconn);	 
		 }
	  
	 catch(Exception $e){
		//	echo "oops! ".$e->getMessage(); 
			
			}   
	  
	  
	  }		     
		

   
    
	  public function updateTotalScoresFirst($masterid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE totals SET totalfirst = :total WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	  
	  
	  
	   public function updateTotalScoresSecond($masterid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE totals SET totalsecond = :total WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }	
		 
		
		 public function updateTotalScoresThird($masterid,$total){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE totals SET totalthird = :total WHERE masterid = :masterid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':masterid',$masterid);
	  
	$statement->bindValue(':total',$total);
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 } 	 
		 
		 
   
	
	 public function updateScoresForMastersheetAuto($scoresid,$position,$hfc,$lfc,$cavg){
		
		  $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'UPDATE scores SET  hfc = :hfc, lfc = :lfc, cavg = :cavg, position = :position  WHERE scoresid = :scoresid'; 
	   $statement = $MySQLiconn->prepare($sql);
	    $statement->bindValue(':scoresid',$scoresid);
	   
	   $statement->bindValue(':hfc',$hfc);
	$statement->bindValue(':lfc',$lfc);
	$statement->bindValue(':cavg',$cavg); 
	$statement->bindValue(':position',$position);
		
	
	$statement->execute();
		 parent::DisConnect( $MySQLiconn);  
		 }		
	
	
public function selectMasterTotalsAnnualForResult($masterid){
		$instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
       $sql = 'SELECT * from totals WHERE masterid = :masterid';	
	   $statement = $MySQLiconn->prepare($sql); 
	   $statement->bindValue(':masterid',$masterid);
	   $statement->execute();
	    $row = $statement->fetch(PDO::FETCH_ASSOC);
		
		
		$this->totalfirst = $row['totalfirst'];
		$this->totalsecond = $row['totalsecond'];
		$this->totalthird =  $row['totalthird'];
		
	   parent::DisConnect( $MySQLiconn); 
		}	
	
	 public function viewStudentScoresBASIC($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject = 'BASIC_SCIENCE_AND_TECHNOLOGY' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
		   
		 
	 public function viewStudentScoresPREVOC($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject = 'PRE_VOCATIONAL_STUDIES' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }
		   
		   public function viewStudentScoresRNV($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject = 'NATIONAL_VALUES' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	   
		 
	
	
	public function viewStudentScoresViaMasteridOthers($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject <> 'NATIONAL_VALUES' AND subject <> 'PRE_VOCATIONAL_STUDIES' AND subject <> 'BASIC_SCIENCE_AND_TECHNOLOGY' AND subject <> 'ENGLISH_STUDIES' AND subject <> 'MATHEMATICS' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }
		   
		  
		   public function viewStudentScoresENGLISH($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject = 'ENGLISH_STUDIES' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	 	
		 			
	
	  public function viewStudentScoresMATHEMATICS($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND subject = 'MATHEMATICS' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }	
	
	
	public function viewStudentScoresViaMasteridWithoutEnglishMaths($masterid){
		   
		   
		   $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
		
       $sql = "SELECT * FROM  scores WHERE masterid = :masterid AND  subject <> 'ENGLISH_STUDIES' AND subject <> 'MATHEMATICS' ";

        $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	    return $statement;
	   
		 parent::DisConnect( $MySQLiconn); 
		   
		   
		   }
		   
		   
		   
		   public function deleteFromMasterSeniorBroadSheets($masterid)	 
	{
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'Delete from mastersenior WHERE masterid = :masterid';
	   
	    $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	   
		 parent::DisConnect( $MySQLiconn); 
		
		} 	

//deleteFromMasterJuniorBroadSheets		
	 
	

 public function deleteFromMasterJuniorBroadSheets($masterid)	 
	{
		
		 $instance = parent::getInstance();	
       $MySQLiconn  = $instance->getConnection();
	   
	   $sql = 'Delete from masterjuniortotal WHERE masterid = :masterid';
	   
	    $statement = $MySQLiconn->prepare($sql);
        $statement->bindValue(':masterid',$masterid); 
        $statement->execute();
		
	   
		 parent::DisConnect( $MySQLiconn); 
		
		} 

		   
			   
	 
 }






?>